# norootforbuild
# icecream 0

%if 0%{!?run_tests:1}
%define run_tests %(test -f %_sourcedir/RUN_TESTS && echo 1 || echo 0)
%endif
%define run_tests 0
# Ada currently fails to build on a few platforms, enable it only
# on those that work
# Note that AdaCore only supports %ix86, x86_64 and ia64
%ifarch %ix86 x86_64 ppc s390 ia64
%define build_ada 0%{!?building_libjava:1}
%else
# alpha ppc64 s390x hppa
%define build_ada 0
%endif
%define build_ada 0
# We don't want to build java on arm
%ifarch mips %arm
%define build_java 0
%define build_libjava 0
%else
%define build_java 1
%define build_libjava 0%{?building_libjava:1}
%endif
%define build_cp 1
%define build_fortran 1
%define build_objc 1
%define build_objcp 0%{!?building_libjava:1}
%define build_with_mudflap 0
%if %{build_objcp}
%define build_cp 1
%define build_objc 1
%endif
%if %{build_libjava}
%define build_cp 1
%endif

Name:           gcc43
BuildRequires:  bison flex gettext-devel mpfr-devel perl texinfo zlib-devel
%if %{build_ada}
%if 1
%define hostsuffix -4.3
BuildRequires:  gcc43-ada
%else
%define hostsuffix %{nil}
BuildRequires:  gcc-ada
%endif
%endif
%if %{build_libjava}
BuildRequires:  fastjar gtk2-devel libart_lgpl-devel unzip
%endif
%ifarch ia64
BuildRequires:  libunwind-devel
%endif
%if %{run_tests}
BuildRequires:  dejagnu expect
%endif
# Define version number of libgcc_s
%ifarch hppa
%define libgcc_s 4
%else
%define libgcc_s 1
%endif
%ifarch ppc
# We support building the nof libraries, but don't want this in the
# regular rpms
%define build_nof 0
%else
%define build_nof 0
%endif
%define separate_bi32 0
%define separate_bi64 0
%ifarch ppc
# Beware, this does _not_ separate libgcj, as for that one multilibing
# is inactive for the time being
%define separate_bi64 1
%endif
%ifarch x86_64 s390x ppc64
%define separate_bi32 1
%endif
# Define two macros to trigger -32bit or -64bit package variants
%define separate_biarch 0
%if %{separate_bi32}
%define separate_biarch 1
%define separate_biarch_suffix -32bit
%endif
%if %{separate_bi64}
%define separate_biarch 1
%define separate_biarch_suffix -64bit
%endif
%ifarch x86_64 ia64 s390x alpha ppc64
# 64-bit is primary build target
%define build_primary_64bit 1
%else
%define build_primary_64bit 0
%endif
%define biarch_libjava 0
# COMMON-BEGIN
%define biarch_targets x86_64 s390x powerpc64 powerpc
Url:            http://gcc.gnu.org/
License:        GPL v3 or later
Version:        4.3.3_20081022
Release:        14.20.moblin2
%define gcc_version %(echo %version | sed 's/_.*//')
%define gcc_dir_version %(echo %gcc_version | cut -d '.' -f 1-2)
%define snapshot_date %(echo %version | sed 's/[34]\.[0-4]\.[0-6]//' | sed 's/_/-/')
%define binsuffix -4.3
# COMMON-END
%if 0%{?!building_libjava:1}
Requires:       binutils glibc-devel
Requires:       cpp43 = %{version}-%{release}
Requires:       libgcc%{libgcc_s} >= %{version}-%{release}
Requires:       libgomp1 >= %{version}-%{release}
%if %{build_with_mudflap}
Requires:       libmudflap0 >= %{version}-%{release}
Requires:       libmudflapth0 >= %{version}-%{release}
%endif
%endif
# COMMON-BEGIN
Group:          Development/Languages/C and C++
AutoReqProv:    on
Summary:        The GNU C Compiler and Support Files
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         gcc-%{gcc_version}%{snapshot_date}.tar.bz2
Source1:        change_spec
Source2:        libgcj43-rpmlintrc
Source3:        gcc43-rpmlintrc
Source4:        ecj.jar
Source5:        README.First-for.SuSE.packagers
Source6:        libgcc_post_upgrade.c
Patch1:         gcc-dir-version.patch
Patch2:         gcc-sles-version.patch
Patch3:         gcc-noalias-warn.diff
Patch4:         gcc-add-defaultsspec.diff
Patch5:         boehm-gc-strict-aliasing.patch
Patch6:         suse-record-gcc-opts.diff
Patch7:         acats-timeout.patch
Patch8:         gcc43-ecj-link.patch
Patch10:        program-transform-name.diff
Patch11:        program-transform-name-tools.diff
Patch12:        gcc4-ppc64-m32-m64-multilib-only.patch
Patch22:        libjava-no-static.diff
Patch23:        libjava-no-multilib.diff
Patch24:        tls-no-direct.diff
Patch25:        pr27880.diff
Patch28:        pr33763.diff
Patch30:        Wunprototyped-calls.diff
Patch31:        pr27799.diff
Patch32:        pr38171.diff
Patch40:        pr36765.diff
Patch41:        fpreserve-function-arguments43.patch
Patch42:        pr27975.diff
Patch43:        build-id.diff
Patch44:        nvl428413.patch
Patch45:        nvl423594.patch
Patch46:        pr32277.diff
Patch47:        pr36438.diff
Patch48:        pr37868.diff
Patch49:        pr38051.diff
Patch201:       pr38752.diff
Patch202:       nvl440482.patch
Patch203:       pr38000.diff
Patch204:	pr39675.diff
# A set of patches from the RH srpm
Patch50:        gcc43-c++-builtin-redecl.patch
Patch51:        gcc41-ia64-stack-protector.patch
Patch52:        gcc43-java-debug-iface-type.patch
Patch53:        gcc43-libgomp-omp_h-multilib.patch
Patch54:        gcc43-pr34037.patch
Patch55:        gcc41-java-slow_pthread_self.patch
Patch56:        gcc43-pr36741-revert.patch
Patch57:        gcc41-ppc32-retaddr.patch
Patch58:        gcc43-pr37189.patch
Patch59:        gcc43-x86_64-va_start.patch
# Some patches taken from Debian
Patch60:        gcc43-textdomain.patch
Patch61:        gcc43-rename-info-files.patch
# Patches for AMD features
Patch70:        pr34043-1.diff
Patch71:        pr34043-2.diff
Patch72:        pr34043-3.diff
Patch73:        pr34043-4.diff
Patch74:        pr34043-5.diff
Patch75:        amd-SSE5-shift-ppc-1.diff
Patch76:        amd-SSE5-shift-ppc-2.diff
Patch77:        amd-SSE5-shift.diff
Patch78:        amd-cunroll-1.diff
Patch79:        amd-cunroll-2.diff
Patch81:        amd-cvect-1.diff
Patch82:        amd-cvect-2.diff
# Patches for Intel features
Patch80:        intel303993-aes.diff
# Patches for IBM features
Patch90:        ibm304071-z10-1
Patch91:        ibm304071-z10-2
Patch92:        ibm304071-z10-3
Patch93:        ibm304071-z10-4
Patch94:        ibm304071-z10-5
Patch95:        ibm304071-z10-6
Patch96:        pr36745.diff
Patch97:        pr36822.diff
Patch99:        ibm-vector-keyword-1
Patch100:       ibm-vector-keyword-2
Patch101:       ibm-vector-keyword-3
Patch102:       ibm304071-z10-7
Patch103:       ibm304134-power7-1
Patch104:       ibm-cell-split
Patch105:       ibm-cell-split-fixes
Patch106:       nvl425806.patch
Patch109:       nvl425783.patch
Patch110:       nvl425784.patch
Patch111:       nvl425788.patch
Patch112:       nvl425789.patch
Patch114:       nvl425791.patch
Patch115:       nvl425794.patch
Patch116:       nvl425798-1.patch
Patch117:       nvl425798-2.patch
Patch118:       nvl425799.patch
Patch119:       nvl426087.patch
Patch120:       ibm304071-z10-8
Patch121:       nvl434500.patch
Patch122:       nvl436041.patch
Patch123:       gcc43-no-unwind-tables.diff
Patch124:       nvl441016.patch
Patch125:       common-sysroot-gcc.diff
Patch126:       nvl447669.diff
Patch127:       nvl464739.patch
# Patches for SAP features
Patch130:       sap303956-utf16-1.diff
Patch131:       sap303956-utf16-2.diff
Patch132:       sap303956-utf16-3.diff
Patch133:       sap303956-utf16-4.diff
Patch134:       sap303956-utf16-mangling.diff
# LIBJAVA-DELETE-BEGIN

%description
Core package for the GNU Compiler Collection, including the C language
frontend.

Language frontends other than C are split to different sub-packages,
namely gcc-ada, gcc-c++, gcc-fortran, gcc-java, gcc-objc and
gcc-obj-c++.



%package -n gcc43-32bit

Summary:        The GNU C Compiler 32bit support
Group:          Development/Languages/C and C++
AutoReqProv:    on
Requires:       gcc43 = %{version}-%{release}
Requires:       libgcc%{libgcc_s}-32bit >= %{version}-%{release}
Requires:       libgomp1-32bit >= %{version}-%{release}
%if %{build_with_mudflap}
Requires:       libmudflap0-32bit >= %{version}-%{release}
Requires:       libmudflapth0-32bit >= %{version}-%{release}
%endif

%description -n gcc43-32bit
This package contains 32bit support for the GNU Compiler Collection.

%package -n gcc43-64bit

Summary:        The GNU C Compiler 64bit support
Group:          Development/Languages/C and C++
AutoReqProv:    on
Requires:       gcc43 = %{version}-%{release}
Requires:       libgcc%{libgcc_s}-64bit >= %{version}-%{release}
Requires:       libgomp1-64bit >= %{version}-%{release}
%if %{build_with_mudflap}
Requires:       libmudflap0-64bit >= %{version}-%{release}
Requires:       libmudflapth0-64bit >= %{version}-%{release}
%endif
Requires:       glibc-devel-64bit

%description -n gcc43-64bit
This package contains 64bit support for the GNU Compiler Collection.


%package locale
License:        GPL v3 or later
Summary:        Locale Data for the GNU Compiler Collection
Group:          Development/Languages/C and C++
Requires:       gcc43 = %{version}-%{release}
AutoReqProv:    on

%description locale
Locale data for the GNU Compiler Collection (GCC) to give error message
in the current locale.



%package c++
License:        LGPL v2.1 or later
Summary:        The GNU C++ Compiler
Group:          Development/Languages/C and C++
AutoReqProv:    on
Requires:       gcc43 = %{version}-%{release}
Requires:       libstdc++43-devel = %{version}-%{release}

%description c++
This package contains the GNU compiler for C++.



%package -n libstdc++43-devel
License:        GPL v2 or later
Summary:        Include Files and Libraries mandatory for Development
Group:          Development/Languages/C and C++
AutoReqProv:    on
Requires:       libstdc++6 >= %{version}-%{release}
Requires:       glibc-devel
%ifarch ia64
Requires:       libunwind-devel
%endif

%description -n libstdc++43-devel
This package contains all the headers and libraries of the standard C++
library. It is needed for compiling C++ code.

The source code is in the package gcc.



%package -n libstdc++43-devel-32bit

Summary:        Include Files and Libraries mandatory for Development
Group:          System/Libraries
AutoReqProv:    on
Requires:       libstdc++6-32bit >= %{version}-%{release}
%ifarch ia64
Requires:       libunwind-devel
%endif

%description -n libstdc++43-devel-32bit
This package contains all the headers and libraries of the standard C++
library. It is needed for compiling C++ code.
%package -n libstdc++43-devel-64bit

Summary:        Include Files and Libraries mandatory for Development
Group:          System/Libraries
AutoReqProv:    on
Requires:       libstdc++6-64bit >= %{version}-%{release}
Requires:       glibc-devel-64bit
%ifarch ia64
Requires:       libunwind-devel
%endif

%description -n libstdc++43-devel-64bit
This package contains all the headers and libraries of the standard C++
library. It is needed for compiling C++ code.

%package -n libstdc++43-doc
License:        GPL v2 or later
Summary:        Documentation for the GNU C++ standard library
Group:          System/Libraries
AutoReqProv:    on

%description -n libstdc++43-doc
Extensive HTML documentation for the GNU C++ standard library.



%package -n libgcc43
License:        GPL v2 or later
Summary:        C compiler runtime library
Group:          System/Base
Provides:       libgcc = %{version}-%{release}
Obsoletes:      libgcc < %{version}-%{release}
Provides:       libgcc%{libgcc_s} = %{version}-%{release}
Obsoletes:      libgcc%{libgcc_s} < %{version}-%{release}
# make rpm happy
Obsoletes:      libgcc33 libgcc41 libgcc42
# make zypp happy
Provides:       libgcc33 libgcc41 libgcc42
AutoReqProv:    on

%description -n libgcc43
Libgcc is needed for dynamically linked C programs.



%post -n libgcc43 -p %{_prefix}/sbin/libgcc_post_upgrade

%postun -n libgcc43 -p %{_prefix}/sbin/libgcc_post_upgrade
# PACKAGE-END
# PACKAGE-BEGIN
# PACKAGE-BEGIN

%package -n libgcc43-32bit

Summary:        C compiler runtime library
Group:          System/Base
Provides:       libgcc-32bit = %{version}-%{release}
Obsoletes:      libgcc-32bit < %{version}-%{release}
Provides:       libgcc%{libgcc_s}-32bit = %{version}-%{release}
Obsoletes:      libgcc%{libgcc_s}-32bit < %{version}-%{release}
# make rpm happy
Obsoletes:      libgcc33-32bit libgcc41-32bit libgcc42-32bit
# make zypp happy
Provides:       libgcc33-32bit libgcc41-32bit libgcc42-32bit
AutoReqProv:    on

%description -n libgcc43-32bit
Libgcc is needed for dynamically linked C programs.

%post -n libgcc43-32bit -p %{_prefix}/sbin/libgcc_post_upgrade

%postun -n libgcc43-32bit -p %{_prefix}/sbin/libgcc_post_upgrade
# PACKAGE-END
# PACKAGE-BEGIN
# PACKAGE-BEGIN

%package -n libgcc43-64bit

Summary:        C compiler runtime library
Group:          System/Base
Provides:       libgcc-64bit = %{version}-%{release}
Obsoletes:      libgcc-64bit < %{version}-%{release}
Provides:       libgcc%{libgcc_s}-64bit = %{version}-%{release}
Obsoletes:      libgcc%{libgcc_s}-64bit < %{version}-%{release}
# make rpm happy
Obsoletes:      libgcc33-64bit libgcc41-64bit libgcc42-64bit
# make zypp happy
Provides:       libgcc33-64bit libgcc41-64bit libgcc42-64bit
AutoReqProv:    on

%description -n libgcc43-64bit
Libgcc is needed for dynamically linked C programs.

%post -n libgcc43-64bit -p %{_prefix}/sbin/libgcc_post_upgrade

%postun -n libgcc43-64bit -p %{_prefix}/sbin/libgcc_post_upgrade
# PACKAGE-END
# PACKAGE-BEGIN
# PACKAGE-BEGIN

%package -n libgomp43
License:        LGPL v2.1 or later
Summary:        The GNU compiler collection OpenMP runtime library
Group:          Development/Libraries/Parallel
Provides:       libgomp = %{version}-%{release}
Obsoletes:      libgomp < %{version}-%{release}
Provides:       libgomp1 = %{version}-%{release}
Obsoletes:      libgomp1 < %{version}-%{release}
# make rpm happy
Obsoletes:      libgomp42
# make zypp happy
Provides:       libgomp42
AutoReqProv:    on

%description -n libgomp43
This is the OpenMP runtime library needed by OpenMP enabled programs
that were built with the -fopenmp compiler option and by programs that
were auto-parallelized via the -ftree-parallelize-loops compiler
option.



%post -n libgomp43
/sbin/ldconfig

%postun -n libgomp43
/sbin/ldconfig
# PACKAGE-END
# PACKAGE-BEGIN
# PACKAGE-BEGIN

%package -n libgomp43-32bit

Summary:        The GNU compiler collection OpenMP runtime library
Group:          System/Base
Provides:       libgomp-32bit = %{version}-%{release}
Obsoletes:      libgomp-32bit < %{version}-%{release}
Provides:       libgomp1-32bit = %{version}-%{release}
Obsoletes:      libgomp1-32bit < %{version}-%{release}
# make rpm happy
Obsoletes:      libgomp42-32bit
# make zypp happy
Provides:       libgomp42-32bit
AutoReqProv:    on

%description -n libgomp43-32bit
libgomp is needed for OpenMP enabled programs.

%post -n libgomp43-32bit
/sbin/ldconfig

%postun -n libgomp43-32bit
/sbin/ldconfig
# PACKAGE-END
# PACKAGE-BEGIN
# PACKAGE-BEGIN

%package -n libgomp43-64bit

Summary:        The GNU compiler collection OpenMP runtime library
Group:          System/Base
Provides:       libgomp-64bit = %{version}-%{release}
Obsoletes:      libgomp-64bit < %{version}-%{release}
Provides:       libgomp1-64bit = %{version}-%{release}
Obsoletes:      libgomp1-64bit < %{version}-%{release}
# make rpm happy
Obsoletes:      libgomp42-64bit
# make zypp happy
Provides:       libgomp42-64bit
AutoReqProv:    on

%description -n libgomp43-64bit
libgomp is needed for OpenMP enabled programs.

%post -n libgomp43-64bit
/sbin/ldconfig

%postun -n libgomp43-64bit
/sbin/ldconfig
# PACKAGE-END
# PACKAGE-BEGIN
# PACKAGE-BEGIN

%package -n libstdc++43
License:        GPL v2 or later
Summary:        The standard C++ shared library
Group:          System/Libraries
Provides:       libstdc++ = %{version}-%{release}
Obsoletes:      libstdc++ < %{version}-%{release}
Provides:       libstdc++6 = %{version}-%{release}
Obsoletes:      libstdc++6 < %{version}-%{release}
# make rpm happy
Obsoletes:      libstdc++41 libstdc++42
# make zypp happy
Provides:       libstdc++41 libstdc++42
AutoReqProv:    on

%description -n libstdc++43
The standard C++ library, needed for dynamically linked C++ programs.



%post -n libstdc++43
/sbin/ldconfig

%postun -n libstdc++43
/sbin/ldconfig
# PACKAGE-END
# PACKAGE-BEGIN
# PACKAGE-BEGIN

%package -n libstdc++43-32bit

Summary:        The standard C++ shared library
Group:          System/Libraries
Provides:       libstdc++-32bit = %{version}-%{release}
Obsoletes:      libstdc++-32bit < %{version}-%{release}
Provides:       libstdc++6-32bit = %{version}-%{release}
Obsoletes:      libstdc++6-32bit < %{version}-%{release}
# make rpm happy
Obsoletes:      libstdc++41-32bit libstdc++42-32bit
# make zypp happy
Provides:       libstdc++41-32bit libstdc++42-32bit
AutoReqProv:    on

%description -n libstdc++43-32bit
The standard C++ library, needed for dynamically linked C++ programs.

Authors:
--------
    Paolo Carlini <pcarlini@suse.de>
    Gabriel Dos Reis <gdr@integrable-solutions.net>
    Ulrich Drepper <drepper@redhat.com>
    Phil Edwards <pme@gcc.gnu.org>
    Benjamin Kosnik <bkoz@redhat.com>
    Loren J. Rittle <ljrittle@acm.org>
    et.al.

%post -n libstdc++43-32bit
/sbin/ldconfig

%postun -n libstdc++43-32bit
/sbin/ldconfig
# PACKAGE-END
# PACKAGE-BEGIN
# PACKAGE-BEGIN

%package -n libstdc++43-64bit

Summary:        The standard C++ shared library
Group:          System/Libraries
Provides:       libstdc++-64bit = %{version}-%{release}
Obsoletes:      libstdc++-64bit < %{version}-%{release}
Provides:       libstdc++6-64bit = %{version}-%{release}
Obsoletes:      libstdc++6-64bit < %{version}-%{release}
# make rpm happy
Obsoletes:      libstdc++41-64bit libstdc++42-64bit
# make zypp happy
Provides:       libstdc++41-64bit libstdc++42-64bit
AutoReqProv:    on

%description -n libstdc++43-64bit
The standard C++ library, needed for dynamically linked C++ programs.

Authors:
--------
    Paolo Carlini <pcarlini@suse.de>
    Gabriel Dos Reis <gdr@integrable-solutions.net>
    Ulrich Drepper <drepper@redhat.com>
    Phil Edwards <pme@gcc.gnu.org>
    Benjamin Kosnik <bkoz@redhat.com>
    Loren J. Rittle <ljrittle@acm.org>
    et.al.

%post -n libstdc++43-64bit
/sbin/ldconfig

%postun -n libstdc++43-64bit
/sbin/ldconfig
# PACKAGE-END

%package info
License:        GNU Free Documentation License, Version 1.1 (GFDL 1.1)
Summary:        Documentation for the GNU compiler collection
Group:          Development/Languages/C and C++
AutoReqProv:    on
PreReq:         /sbin/install-info

%description info
GNU info-pages for the GNU compiler collection covering both user-level
and internals documentation.



%package objc
License:        GPL v3 or later
Summary:        GNU Objective C Compiler
Group:          Development/Languages/Other
AutoReqProv:    on
Requires:       gcc43 = %{version}-%{release}
Requires:       libobjc2 >= %{version}-%{release}

%description objc
This package contains the GNU Objective C compiler. Objective C is an
object oriented language, created by Next Inc. and used in their
Nextstep OS. The source code is available in the gcc package.



%package objc-32bit

Summary:        GNU Objective C Compiler
Group:          Development/Languages/Other
AutoReqProv:    on
Requires:       gcc43 = %{version}-%{release}
Requires:       libobjc2-32bit >= %{version}-%{release}

%description objc-32bit
This package contains the GNU Objective C compiler. Objective C is an
object oriented language, created by Next Inc. and used in their
Nextstep OS. The source code is available in the gcc package.
%package objc-64bit

Summary:        GNU Objective C Compiler
Group:          Development/Languages/Other
AutoReqProv:    on
Requires:       gcc43 = %{version}-%{release}
Requires:       libobjc2-64bit >= %{version}-%{release}

%description objc-64bit
This package contains the GNU Objective C compiler. Objective C is an
object oriented language, created by Next Inc. and used in their
Nextstep OS. The source code is available in the gcc package.

%package -n libobjc43
License:        GPL v2 or later
Summary:        Library for the GNU Objective C Compiler
Group:          Development/Libraries/Other
Provides:       libobjc2 = %{version}-%{release}
Obsoletes:      libobjc2 < %{version}-%{release}
# unless so version changes again for libobjc
# make rpm happy
Obsoletes:      libobjc42
# make zypp happy
Provides:       libobjc42

%description -n libobjc43
The library for the GNU Objective C compiler.



%post -n libobjc43
/sbin/ldconfig

%postun -n libobjc43
/sbin/ldconfig
# PACKAGE-END
# PACKAGE-BEGIN
# PACKAGE-BEGIN

%package -n libobjc43-32bit

Summary:        Library for the GNU Objective C Compiler
Group:          Development/Libraries/Other
Provides:       libobjc2-32bit = %{version}-%{release}
Obsoletes:      libobjc2-32bit < %{version}-%{release}
# unless so version changes again for libobjc
# make rpm happy
Obsoletes:      libobjc42-32bit
# make zypp happy
Provides:       libobjc42-32bit

%description -n libobjc43-32bit
The library for the GNU Objective C compiler.

%post -n libobjc43-32bit
/sbin/ldconfig

%postun -n libobjc43-32bit
/sbin/ldconfig
# PACKAGE-END
# PACKAGE-BEGIN
# PACKAGE-BEGIN

%package -n libobjc43-64bit

Summary:        Library for the GNU Objective C Compiler
Group:          Development/Libraries/Other
Provides:       libobjc2-64bit = %{version}-%{release}
Obsoletes:      libobjc2-64bit < %{version}-%{release}
# unless so version changes again for libobjc
# make rpm happy
Obsoletes:      libobjc42-64bit
# make zypp happy
Provides:       libobjc42-64bit

%description -n libobjc43-64bit
The library for the GNU Objective C compiler.

%post -n libobjc43-64bit
/sbin/ldconfig

%postun -n libobjc43-64bit
/sbin/ldconfig
# PACKAGE-END

%package obj-c++
License:        GPL v3 or later
Summary:        GNU Objective C++ Compiler
Group:          Development/Languages/Other
AutoReqProv:    on
Requires:       gcc43-objc = %{version}-%{release}
Requires:       gcc43-c++ = %{version}-%{release}

%description obj-c++
This package contains the GNU Objective C++ compiler. Objective C++ is
an object oriented language, created by Next Inc. and used in their
Nextstep OS. The source code is available in the gcc package.



%package -n cpp43
License:        GPL v2 or later
Summary:        The GCC Preprocessor
Group:          Development/Languages/C and C++

%description -n cpp43
This Package contains just the preprocessor that is used by the X11
packages.



%package ada
License:        GPL v3 or later
Requires:       gcc43 = %{version}-%{release}
Requires:       libada43 = %{version}-%{release}
Summary:        GNU Ada95 Compiler Based on GCC (GNAT)
Group:          Development/Languages/Other
AutoReqProv:    on

%description ada
This package contains an Ada95 compiler and associated development
tools based on the GNU GCC technology. Ada95 is the object oriented
successor of the Ada83 language. To build this package from source you
must have installed a binary version to bootstrap the compiler.



%package -n libada43
License:        GPL v2 or later
Summary:        GNU Ada Runtime Libraries
Group:          Development/Languages/Other
AutoReqProv:    on
Provides:       libgnarl-4_3 = %{version}-%{release}
Obsoletes:      libgnarl-4_3 < %{version}-%{release}
Provides:       libgnat-4_3 = %{version}-%{release}
Obsoletes:      libgnat-4_3 < %{version}-%{release}

%description -n libada43
This package contains the shared libraries required to run programs
compiled with the GNU Ada compiler (GNAT) if they are compiled to use
shared libraries. It also contains the shared libraries for the
Implementation of the Ada Semantic Interface Specification (ASIS), the
implementation of Distributed Systems Programming (GLADE) and the Posix
1003.5 Binding (Florist).



%post -n libada43
/sbin/ldconfig

%postun -n libada43
/sbin/ldconfig
# PACKAGE-BEGIN
# PACKAGE-BEGIN

%package fortran
License:        GPL v3 or later
Summary:        The GNU Fortran Compiler and Support Files
Group:          Development/Languages/Fortran
AutoReqProv:    on
Requires:       gcc43 = %{version}-%{release}
Requires:       libgfortran3 >= %{version}-%{release}

%description fortran
This is the Fortran compiler of the GNU Compiler Collection (GCC).



%package fortran-32bit

Summary:        The GNU Fortran Compiler and Support Files
Group:          Development/Languages/Fortran
AutoReqProv:    on
Requires:       gcc43 = %{version}-%{release}
Requires:       libgfortran3-32bit >= %{version}-%{release}

%description fortran-32bit
This is the Fortran compiler of the GNU Compiler Collection (GCC).
%package fortran-64bit

Summary:        The GNU Fortran Compiler and Support Files
Group:          Development/Languages/Fortran
AutoReqProv:    on
Requires:       gcc43 = %{version}-%{release}
Requires:       libgfortran3-64bit >= %{version}-%{release}

%description fortran-64bit
This is the Fortran compiler of the GNU Compiler Collection (GCC).

%package -n libgfortran43
License:        GPL v2 or later; LGPL v2.1 or later
Summary:        The GNU Fortran Compiler Runtime Library
Group:          Development/Languages/Fortran
Provides:       libgfortran3 = %{version}-%{release}
Obsoletes:      libgfortran3 < %{version}-%{release}
AutoReqProv:    on

%description -n libgfortran43
The runtime library needed to run programs compiled with the Fortran
compiler of the GNU Compiler Collection (GCC).



%post -n libgfortran43
/sbin/ldconfig

%postun -n libgfortran43
/sbin/ldconfig
# PACKAGE-END
# PACKAGE-BEGIN
# PACKAGE-BEGIN

%package -n libgfortran43-32bit

Summary:        The GNU Fortran Compiler Runtime Library
Group:          Development/Languages/Fortran
Provides:       libgfortran3-32bit = %{version}-%{release}
Obsoletes:      libgfortran3-32bit < %{version}-%{release}
AutoReqProv:    on

%description -n libgfortran43-32bit
The runtime library needed to run programs compiled with the Fortran compiler
of the GNU Compiler Collection (GCC).

%post -n libgfortran43-32bit
/sbin/ldconfig

%postun -n libgfortran43-32bit
/sbin/ldconfig
# PACKAGE-END
# PACKAGE-BEGIN
# PACKAGE-BEGIN

%package -n libgfortran43-64bit

Summary:        The GNU Fortran Compiler Runtime Library
Group:          Development/Languages/Fortran
Provides:       libgfortran3-64bit = %{version}-%{release}
Obsoletes:      libgfortran3-64bit < %{version}-%{release}
AutoReqProv:    on

%description -n libgfortran43-64bit
The runtime library needed to run programs compiled with the Fortran compiler
of the GNU Compiler Collection (GCC).

%post -n libgfortran43-64bit
/sbin/ldconfig

%postun -n libgfortran43-64bit
/sbin/ldconfig
# PACKAGE-END
# PACKAGE-BEGIN
# PACKAGE-BEGIN

%package -n libmudflap43
License:        GPL v2 or later
Summary:        The Mudflap Extension Runtime Library
Group:          Development/Languages/C and C++
Provides:       libmudflap0 = %{version}-%{release}
Obsoletes:      libmudflap0 < %{version}-%{release}
Provides:       libmudflapth0 = %{version}-%{release}
Obsoletes:      libmudflapth0 < %{version}-%{release}
# transitional
Provides:       libmudflap = %{version}-%{release}
Obsoletes:      libmudflap < %{version}-%{release}
# make rpm happy
Obsoletes:      libmudflap41 libmudflap42
# make zypp happy
Provides:       libmudflap41 libmudflap42
AutoReqProv:    on

%description -n libmudflap43
This is the Mudflap Extension Runtime Library.



%post -n libmudflap43
/sbin/ldconfig

%postun -n libmudflap43
/sbin/ldconfig
# PACKAGE-END
# PACKAGE-BEGIN
# PACKAGE-BEGIN

%package -n libmudflap43-32bit

Summary:        The Mudflap Extension Runtime Library
Group:          Development/Languages/C and C++
Provides:       libmudflap0-32bit = %{version}-%{release}
Obsoletes:      libmudflap0-32bit < %{version}-%{release}
Provides:       libmudflapth0-32bit = %{version}-%{release}
Obsoletes:      libmudflapth0-32bit < %{version}-%{release}
# transitional
Provides:       libmudflap-32bit = %{version}-%{release}
Obsoletes:      libmudflap-32bit < %{version}-%{release}
# make rpm happy
Obsoletes:      libmudflap41-32bit libmudflap42-32bit
# make zypp happy
Provides:       libmudflap41-32bit libmudflap42-32bit
AutoReqProv:    on

%description -n libmudflap43-32bit
This is the Mudflap Extension Runtime Library.

%post -n libmudflap43-32bit
/sbin/ldconfig

%postun -n libmudflap43-32bit
/sbin/ldconfig
# PACKAGE-END
# PACKAGE-BEGIN
# PACKAGE-BEGIN

%package -n libmudflap43-64bit

Summary:        The Mudflap Extension Runtime Library
Group:          Development/Languages/C and C++
Provides:       libmudflap0-64bit = %{version}-%{release}
Obsoletes:      libmudflap0-64bit < %{version}-%{release}
Provides:       libmudflapth0-64bit = %{version}-%{release}
Obsoletes:      libmudflapth0-64bit < %{version}-%{release}
# transitional
Provides:       libmudflap-64bit = %{version}-%{release}
Obsoletes:      libmudflap-64bit < %{version}-%{release}
# make rpm happy
Obsoletes:      libmudflap41-64bit libmudflap42-64bit
# make zypp happy
Provides:       libmudflap41-64bit libmudflap42-64bit
AutoReqProv:    on

%description -n libmudflap43-64bit
This is the Mudflap Extension Runtime Library.

%post -n libmudflap43-64bit
/sbin/ldconfig

%postun -n libmudflap43-64bit
/sbin/ldconfig
# PACKAGE-END

%package -n libgcj43
License:        GPL v2 or later; LGPL v2.1 or later
# LIBJAVA-DELETE-END
Summary:        Java Runtime Library for gcc
Group:          System/Libraries
%define gcj_sover 9
Provides:       libgcj%{gcj_sover} = %{version}-%{release}
Obsoletes:      libgcj%{gcj_sover} < %{version}-%{release}
Provides:       libgij%{gcj_sover} = %{version}-%{release}
Obsoletes:      libgij%{gcj_sover} < %{version}-%{release}
Provides:       libgcj-tools%{gcj_sover} = %{version}-%{release}
Obsoletes:      libgcj-tools%{gcj_sover} < %{version}-%{release}
AutoReqProv:    on

%description -n libgcj43
This library is needed if you want to use the GNU Java compiler, gcj.
Source code for this package is in gcc.



%post -n libgcj43
/sbin/ldconfig

%postun -n libgcj43
/sbin/ldconfig

%package -n gcc43-java
License:        GPL v3 or later
Summary:        The GNU Java Compiler
Group:          Development/Languages/Java
AutoReqProv:    on
Requires:       gcc43 = %{version}
Requires:       libgcj43-devel = %{version}-%{release}

%description -n gcc43-java
The Java compiler from the GCC-tools-suite.



%package -n libgcj_bc43
License:        GPL v2 or later; LGPL v2.1 or later
Summary:        Fake library for BC-ABI compatibility.
Group:          System/Libraries
AutoReqProv:    on
Provides:       libgcj_bc1 = %{version}-%{release}
Obsoletes:      libgcj_bc1 < %{version}-%{release}
# libgcj_bc is special in that it just contains a symlink to
# a proper libgcj version.  So require that library and add
# provides for the shlib version as created at link time
Requires:       libgcj%{gcj_sover}
%ifarch x86_64 ia64 ppc64 s390x
Provides:       libgcj_bc.so.1()(64bit)
%else
Provides:       libgcj_bc.so.1
%endif
# make rpm happy
Obsoletes:      libgcj_bc42
# make zypp happy
Provides:       libgcj_bc42

%description -n libgcj_bc43
A fake library that is used at link time only. It ensures that binaries
built with the BC-ABI link against a constant SONAME. This way, BC-ABI
binaries continue to work if the SONAME underlying libgcj.so changes.



%package -n libgcj43-jar
License:        GPL v2 or later; LGPL v2.1 or later
Summary:        Java runtime library (jar files).
Group:          System/Libraries

%description -n libgcj43-jar
These are the jar files that go along with the gcj front end to gcc.



%package -n libgcj43-devel
License:        GPL v2 or later; LGPL v2.1 or later
Summary:        Include Files and Libraries mandatory for Development
Group:          Development/Libraries/Java
AutoReqProv:    on
Requires:       libstdc++43-devel = %{version}
Requires:       libgcj%{gcj_sover} >= %{version}-%{release}
Requires:       libgcj_bc1 >= %{version}-%{release}
Requires:       libgcj43-jar = %{version}-%{release}
Requires:       gtk2-devel
Requires:       libart_lgpl-devel
Requires:       glibc-devel
Requires:       zlib-devel
%ifarch ia64
Requires:       libunwind-devel
%endif

%description -n libgcj43-devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



%package -n gcc43-gij
License:        GPL v3 or later
Summary:        Java Bytecode Interpreter for gcc
Group:          System/Libraries
Requires:       libgcj%{gcj_sover} >= %{version}-%{release}
AutoReqProv:    on

%description -n gcc43-gij
This package contains the java bytecode interpreter gij and related
tools.



%package -n libffi43
License:        BSD 3-Clause
Summary:        Foreign Function Interface library
Group:          System/Libraries
AutoReqProv:    on
Provides:       g-wrap:/usr/lib/libffi.so.4
Provides:       libffi4 = %{version}-%{release}
Obsoletes:      libffi4 < %{version}-%{release}
# make rpm happy
Obsoletes:      libffi41 libffi42
# make zypp happy
Provides:       libffi41 libffi42

%description -n libffi43
A foreign function interface is the popular name for the interface that
allows code written in one language to call code written in another
language.



%post -n libffi43
/sbin/ldconfig

%postun -n libffi43
/sbin/ldconfig
# PACKAGE-END
# PACKAGE-BEGIN
# PACKAGE-BEGIN

%package -n libffi43-32bit

Summary:        Foreign Function Interface library
Group:          Development/Languages/C and C++
AutoReqProv:    on
Provides:       g-wrap:/usr/lib/libffi.so.4
Provides:       libffi4 = %{version}-%{release}
Obsoletes:      libffi4 < %{version}-%{release}
# make rpm happy
Obsoletes:      libffi41-32bit libffi42-32bit
# make zypp happy
Provides:       libffi41-32bit libffi42-32bit

%description -n libffi43-32bit
A foreign function interface is the popular name for the interface that allows code written in one language to call code written in another language.

%post -n libffi43-32bit
/sbin/ldconfig

%postun -n libffi43-32bit
/sbin/ldconfig
# PACKAGE-END
# PACKAGE-BEGIN
# PACKAGE-BEGIN

%package -n libffi43-64bit

Summary:        Foreign Function Interface library
Group:          Development/Languages/C and C++
AutoReqProv:    on
Provides:       g-wrap:/usr/lib/libffi.so.4
Provides:       libffi4 = %{version}-%{release}
Obsoletes:      libffi4 < %{version}-%{release}
# make rpm happy
Obsoletes:      libffi41-64bit libffi42-64bit
# make zypp happy
Provides:       libffi41-64bit libffi42-64bit

%description -n libffi43-64bit
A foreign function interface is the popular name for the interface that allows code written in one language to call code written in another language.

%post -n libffi43-64bit
/sbin/ldconfig

%postun -n libffi43-64bit
/sbin/ldconfig
# PACKAGE-END
# PACKAGE-BEGIN
# PACKAGE-BEGIN

%package -n libffi43-devel
License:        BSD 3-Clause
Summary:        Foreign Function Interface library development files
Group:          System/Libraries
AutoReqProv:    on
Requires:       libffi43 >= %{version}-%{release}

%description -n libffi43-devel
A foreign function interface is the popular name for the interface that
allows code written in one language to call code written in another
language.



%package -n libffi43-devel-32bit

Summary:        Foreign Function Interface library development files
Group:          Development/Languages/C and C++
AutoReqProv:    on
Requires:       libffi43-32bit >= %{version}-%{release}

%description -n libffi43-devel-32bit
A foreign function interface is the popular name for the interface that allows code written in one language to call code written in another language.
%package -n libffi43-devel-64bit

Summary:        Foreign Function Interface library development files
Group:          Development/Languages/C and C++
AutoReqProv:    on
Requires:       libffi43-64bit >= %{version}-%{release}

%description -n libffi43-devel-64bit
A foreign function interface is the popular name for the interface that allows code written in one language to call code written in another language.

%package -n gcc43-testresults
License:        GPL v3 or later
Summary:        The GNU C Compiler testsuiteresults
Group:          Documentation/Other

%description -n gcc43-testresults
Results from running the GCC testsuite.



%if 0%{?gcc_target_arch:1}
%define CONFIGURE_TARGET %{gcc_target_arch}
%define TARGET_ARCH %(echo %{gcc_target_arch} | cut -d - -f 1 | sed -e "s/i.86/i586/;s/ppc/powerpc/")
%if 0%{?gcc_icecream:1} && %{TARGET_ARCH} == "powerpc"
%define CONFIGURE_TARGET powerpc64-linux
%endif
%if 0%{?gcc_icecream:1} && %{TARGET_ARCH} == "powerpc64"
%define CONFIGURE_TARGET powerpc64-linux
%endif
%if 0%{?gcc_icecream:1} && %{TARGET_ARCH} == "i586"
%define CONFIGURE_TARGET i586-linux
%endif
%else
%define TARGET_ARCH %(echo %{_target_cpu} | sed -e "s/i.86/i586/;s/ppc/powerpc/")
%endif
%define HOST_ARCH %(echo %{_host_cpu} | sed -e "s/i.86/i586/;s/ppc/powerpc/")
#define biarch %(case " %{biarch_targets} " in (*" %{TARGET_ARCH} "*) echo 1;; (*) echo 0;; esac)
%define biarch 0
%ifarch ppc
%define GCCDIST powerpc64-moblin-linux
%else
%define GCCDIST %{HOST_ARCH}-moblin-linux
%endif
%define libsubdir %{_libdir}/gcc/%{GCCDIST}/%{gcc_dir_version}
%define gxxinclude %{_prefix}/include/c++/%{gcc_dir_version}
# COMMON-END
# Versionspecific directories
%define versmainlibdir %{libsubdir}
%define versmainlibdirbi32 %{libsubdir}/32
%define versmainlibdirbi64 %{libsubdir}/64
%ifarch ppc
%define versnoflibdir %{libsubdir}/nof
%define versmainlibdirbi32 %{libsubdir}
%define versmainlibdirbi64 %{libsubdir}/64
%endif
%ifarch ppc64
%define versnoflibdir %{libsubdir}/32/nof
%endif
%if %{build_primary_64bit}
%define versmainlibdirbi %{versmainlibdirbi32}
%else
%define versmainlibdirbi %{versmainlibdirbi64}
%endif
%define mainlibdir %{_libdir}
%define mainlibdirbi32 %{_prefix}/lib
%define mainlibdirbi64 %{_prefix}/lib64
%define noflibdir %{_prefix}/lib/nof
%if %{build_primary_64bit}
%define mainlibdirbi %{mainlibdirbi32}
%else
%define mainlibdirbi %{mainlibdirbi64}
%endif
# Now define a few macros that make it easy to package libs and
# related files just to the right package, without caring for the
# exact path the files are in.
#   %mainlib  package X from all dirs that belong to the main package
#   %biarchlib   package X from all dirs that belong to the -32/64bit package
# by default, nof libs go where the 32bit libs go.
%if %{build_nof}
%define mainlib() %{mainlibdir}/%1\
%{noflibdir}/%1\
%{nil}
%else
%define mainlib() %{mainlibdir}/%1\
%{nil}
%endif
%define biarchlib() %{nil}
%if %{biarch}
%if !%{separate_biarch}
%if %{build_nof}
%define mainlib() %{mainlibdir}/%1\
%{mainlibdirbi}/%1\
%{noflibdir}/%1\
%{nil}
%else
%define mainlib() %{mainlibdir}/%1\
%{mainlibdirbi}/%1\
%{nil}
%endif
%else
%if %{build_nof}
%define biarchlib() %{mainlibdirbi}/%1\
%{noflibdir}/%1\
%{nil}
%define mainlib() %{mainlibdir}/%1\
%{nil}
%else
%define biarchlib() %{mainlibdirbi}/%1\
%{nil}
%endif
%endif
%endif
%if %{build_nof}
%define versmainlib() %{versmainlibdir}/%1\
%{versnoflibdir}/%1\
%{nil}
%else
%define versmainlib() %{versmainlibdir}/%1\
%{nil}
%endif
%define versbiarchlib() %{nil}
%if %{biarch}
%if !%{separate_biarch}
%if %{build_nof}
%define versmainlib() %{versmainlibdir}/%1\
%{versmainlibdirbi}/%1\
%{versnoflibdir}/%1\
%{nil}
%else
%define versmainlib() %{versmainlibdir}/%1\
%{versmainlibdirbi}/%1\
%{nil}
%endif
%else
%if %{build_nof}
%define versbiarchlib() %{versmainlibdirbi}/%1\
%{versnoflibdir}/%1\
%{nil}
%define versmainlib() %{versmainlibdir}/%1\
%{nil}
%else
%define versbiarchlib() %{versmainlibdirbi}/%1\
%{nil}
%endif
%endif
%endif
# COMMON-BEGIN

%prep
%setup -q -n gcc-%{gcc_version}%{snapshot_date}
%patch1
# This patch changes the version string reported by GCC from
# gcc (SUSE Linux) 4.3.2 20080806 (prerelease) [gcc-4_3-branch revision 138797]
# to
# gcc (SUSE Linux) 4.3.1 [gcc-4_3-branch revision 138797]
# as requested by bnc#363219.
%patch2
%patch3
%patch4
%patch5
%if 0
#%patch6
%endif
%patch7
%patch8
%patch10
%patch11
%if !%{build_nof}
%patch12
%endif
%patch22
%patch23
%patch24
%patch25
%patch28
%patch30
%patch31
%patch32
%patch40
%patch41
%patch42
%if 1
%patch43
%endif
%patch44
%patch45
%patch46
%patch47
%patch48 -p1
%patch49
%patch201
%patch202
%patch203
%patch204 -p1
%patch50
%patch51
%patch52
%patch53
%patch54
%patch55
%patch56
%patch57
%patch58
%patch59
%patch60
%patch61
%patch70
%patch71
%patch72
%patch73
%patch74 -p1
%patch75
%patch76
%patch77
%patch78
%patch79
%patch81
%patch82
%patch80
%patch90
%patch91
%patch92
%patch93
%patch94
%patch95
%patch96
%patch97
%patch99
%patch100
%patch101
%patch102
%patch103
%patch104 -p1
%patch105 -p1
%patch106
%patch109
%patch110
%patch111
%patch112
%patch114
%patch115
%patch116
%patch117
%patch118
%patch119
%patch120
%patch121
%patch122
%patch123
%patch124 -p1
%patch125 -p1
%patch126
%patch127
%patch130
%patch131
%patch132
%patch133
%patch134

%build
# Avoid rebuilding of generated files
contrib/gcc_update --touch
# Split version file into version used for directories (X.Y) and
# version to report with --version (X.Y.Z).
# See also gcc-dir-version.patch.
# Also decrement the patchlevel version by one
if test `cat gcc/DEV-PHASE` == "prerelease"; then
  ( cat gcc/BASE-VER | cut -d '.' -f 1-2 | tr -d '\n'; echo -n .; cat gcc/BASE-VER | cut -d '.' -f 3 | tr '0123456789' '0012345678' ) > gcc/FULL-VER
else
  mv gcc/BASE-VER gcc/FULL-VER
fi
cat gcc/FULL-VER | cut -d '.' -f 1-2 > gcc/BASE-VER
rm -rf obj-%{GCCDIST}
mkdir obj-%{GCCDIST}
cd obj-%{GCCDIST}
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -U_FORTIFY_SOURCE"
RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS|sed -e 's/-fno-rtti//g' -e 's/-fno-exceptions//g' -e 's/-Wmissing-format-attribute//g' -e 's/-fstack-protector//g' -e 's/-ffortify=.//g' -e 's/-Wall//g' -e 's/-m32//g' -e 's/-m64//g'`
%ifarch %ix86
# -mcpu is superceded by -mtune but -mtune is not supported by
# our bootstrap compiler.  -mcpu gives a warning that stops
# the build process, so remove it for now.
RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS|sed -e 's/-mcpu=i.86//g'`
%endif
%ifarch s390 s390x
RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS|sed -e 's/-fsigned-char//g'`
RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS|sed -e 's/-O1/-O2/g'`
%endif
%if 0%{?gcc_target_arch:1} && 0%{!?gcc_icecream:1}
# Kill all -march/tune/cpu because that screws building the target libs
RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS|sed -e 's/-m\(arch\|tune\|cpu\)=[^ ]*//g'`
%endif
# Replace 2 spaces by one finally
RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS|sed -e 's/  / /g'`
languages=c
%if %{build_cp}
languages=$languages,c++
%endif
%if %{build_objc}
languages=$languages,objc
%endif
%if %{build_fortran}
languages=$languages,fortran
%endif
%if %{build_objcp}
languages=$languages,obj-c++
%endif
%if %{build_java}
languages=$languages,java
%endif
%if %{build_ada}
languages=$languages,ada
%endif
J=%{?jobs:%jobs}
if test -z "$J"; then
  J=$(getconf _NPROCESSORS_CONF)
  JL=$(($J * 2))
else
  test 1 -gt "$J" && J=1
  JL=$(($(getconf _NPROCESSORS_CONF)*2))
fi
if test "$J" == "0"; then
  J=1
fi
if test "$JL" == "0"; then
  JL=1
fi
PARALLEL="-j$J -l$JL"
# we don't want some miscompiles in the testsuite, or some fault in
# the compiler to kill the machine.  Hence we limit the amount of memory
# by the physical RAM plus half of swap
#MEM=$(free -m | awk '/^Mem:/ {print $2}')
#SWAP=$(free -m | awk '/^Swap:/ {print $2}')
#ulimit -v $(((MEM + SWAP/2)*1024))
# In general we want to ship release checking enabled compilers
# and run BETA with checking enabled.
#ENABLE_CHECKING="--enable-checking=yes"
ENABLE_CHECKING="--enable-checking=release"
%if "%{name}" != "gcc43"
export PATH=/opt/cross/bin:$PATH
%endif
# Work around tail/head -1 changes
export _POSIX2_VERSION=199209
# configure tries to parse include/features.h to detect
# if glibc supports SSP.  When cross compiling we would need
# to install a cross glibc, which we don't, or make the whole
# thing point to the native glibc, which is in /, hence the
# --with-sysroot=/
%if %{build_ada}
# Using the host gnatmake like
#   CC="gcc%{hostsuffix}" GNATBIND="gnatbind%{hostsuffix}"
#   GNATMAKE="gnatmake%{hostsuffix}"
# doesn't work due to PR33857, so an un-suffixed gnatmake has to be
# available
mkdir -p host-tools/bin
cp -a /usr/bin/gnatmake%{hostsuffix} host-tools/bin/gnatmake
cp -a /usr/bin/gnatlink%{hostsuffix} host-tools/bin/gnatlink
cp -a /usr/bin/gnatbind%{hostsuffix} host-tools/bin/gnatbind
cp -a /usr/bin/gcc%{hostsuffix} host-tools/bin/gcc
ln -sf /usr/%{_lib} host-tools/%{_lib}
export PATH="`pwd`/host-tools/bin:$PATH"
%endif
#%if 0%{?gcc_target_arch:1} && 0%{!?gcc_icecream:1}
#%else
#	--enable-threads=posix \
#%endif
#	--enable-shared \
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" XCFLAGS="$RPM_OPT_FLAGS" \
TCFLAGS="$RPM_OPT_FLAGS" GCJFLAGS="$RPM_OPT_FLAGS" \
../configure \
	--prefix=%{_prefix} \
	--infodir=%{_infodir} \
	--mandir=%{_mandir} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libdir} \
	--enable-languages=$languages \
	$ENABLE_CHECKING \
	--with-gxx-include-dir=%{_prefix}/include/c++/%{gcc_dir_version} \
	--enable-ssp \
	--disable-libssp \
	--with-bugurl="http://bugzilla.moblin.org/" \
	--with-pkgversion="Moblin Linux" \
%if !%{build_libjava}
        --disable-libgcj \
%else
	--with-java-home=%{_libdir}/jvm/java-1.5.0-gcj%{binsuffix}-1.5.0.0/jre \
	--with-ecj-jar=%{libsubdir}/ecj.jar \
        --enable-java-awt=gtk \
	--enable-gtk-cairo \
%if !%{biarch_libjava}
        --disable-libjava-multilib \
%endif
%endif
%if !%{build_with_mudflap}
	--disable-libmudflap \
%endif
	--with-slibdir=/%{_lib} \
	--with-system-zlib \
	--enable-__cxa_atexit \
	--enable-libstdcxx-allocator=new \
	--disable-libstdcxx-pch \
	--enable-version-specific-runtime-libs \
%if 0%{?gcc_target_arch:1}
%if 0%{?gcc_icecream:1}
	--with-as=/opt/cross/%{TARGET_ARCH}-linux/bin/as \
	--with-ld=/opt/cross/%{TARGET_ARCH}-linux/bin/ld \
	--with-sysroot=/ \
	--enable-linux-futex \
%endif
%if 0%{?build_static:1}
	--disable-shared \
%endif
%if "%{TARGET_ARCH}" == "spu"
	--with-sysroot=/usr/spu \
	--with-gxx-include-dir=%{_prefix}/spu/include/c++/%{gcc_dir_version} \
	--with-newlib \
%endif
	--disable-nls \
	--target=%{CONFIGURE_TARGET} \
%else
	--program-suffix=%{binsuffix} \
	--enable-linux-futex \
%ifarch ia64
	--with-system-libunwind \
%else
	--without-system-libunwind \
%endif
%endif
%if "%{TARGET_ARCH}" == "powerpc"
	--with-cpu=default32 \
	--enable-secureplt \
	--with-long-double-128 \
%endif
%if "%{TARGET_ARCH}" == "powerpc64"
	--with-cpu=power4 \
	--enable-secureplt \
	--with-long-double-128 \
%endif
%if "%{TARGET_ARCH}" == "i586"
	--with-cpu=generic \
%endif
%if "%{TARGET_ARCH}" == "x86_64"
	--with-cpu=generic \
%endif
%if "%{TARGET_ARCH}" == "s390"
        --with-tune=z9-109 --with-arch=z900 \
	--with-long-double-128 \
%endif
%if "%{TARGET_ARCH}" == "s390x"
        --with-tune=z9-109 --with-arch=z900 \
	--with-long-double-128 \
%endif
	--build=%{GCCDIST}
# COMMON-END
# Only run profiled bootstrap on archs where it works
#%ifarch %ix86 x86_64 ppc ppc64 ia64
#%ifarch %ix86 x86_64 ia64 s390 s390x
#make profiledbootstrap-lean BOOT_CFLAGS="$RPM_OPT_FLAGS" $PARALLEL
#%else
make bootstrap-lean BOOT_CFLAGS="$RPM_OPT_FLAGS" $PARALLEL
#%endif
#make -C gcc proto
make info
%if %{run_tests}
echo "Run testsuite"
(make -C %{GCCDIST}/libstdc++-v3 check-abi || true)
mv %{GCCDIST}/libstdc++-v3/testsuite/libstdc++.log %{GCCDIST}/libstdc++-v3/testsuite/libstdc++-abi.log
mv %{GCCDIST}/libstdc++-v3/testsuite/libstdc++.sum %{GCCDIST}/libstdc++-v3/testsuite/libstdc++-abi.sum
make -k check $PARALLEL || true
mkdir ../testresults
../contrib/test_summary > ../testresults/test_summary.txt
%endif

%install
export NO_BRP_CHECK_BYTECODE_VERSION=true
cd obj-%{GCCDIST}
# Work around tail/head -1 changes
export _POSIX2_VERSION=199209
export LIBRARY_PATH=$RPM_BUILD_ROOT%{libsubdir}:$RPM_BUILD_ROOT%{mainlibdirbi}
%if 0%{?building_libjava:1}
make -C %{GCCDIST}/libjava install DESTDIR=$RPM_BUILD_ROOT
make -C %{GCCDIST}/libffi install DESTDIR=$RPM_BUILD_ROOT
make -C gcc java.install-man DESTDIR=$RPM_BUILD_ROOT
make -C gcc java.install-common DESTDIR=$RPM_BUILD_ROOT
make -C gcc install-common DESTDIR=$RPM_BUILD_ROOT COMPILERS='jc1$(exeext) jvgenmain$(exeext)'
# install-common also installs collect2, gcov and the g++ and gfortran driver
%if %{build_cp}
rm $RPM_BUILD_ROOT%{_prefix}/bin/g++%{binsuffix}
%endif
%if %{build_fortran}
rm $RPM_BUILD_ROOT%{_prefix}/bin/gfortran%{binsuffix}
%endif
rm $RPM_BUILD_ROOT%{_prefix}/bin/gcov%{binsuffix}
rm $RPM_BUILD_ROOT%{libsubdir}/collect2
%else
make install DESTDIR=$RPM_BUILD_ROOT
%if %{build_java}
make -C gcc java.uninstall DESTDIR=$RPM_BUILD_ROOT
make -C gcc java.install-info DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_prefix}/bin/jcf-dump%{binsuffix}
rm $RPM_BUILD_ROOT%{_mandir}/man1/jcf-dump%{binsuffix}.1
rm $RPM_BUILD_ROOT%{libsubdir}/jc1
rm $RPM_BUILD_ROOT%{libsubdir}/jvgenmain
%endif
%endif
# Remove some useless .la files
for lib in libobjc libgfortran libgfortranbegin libmudflap libmudflapth \
    libgomp libstdc++ libsupc++ libgcj-tools libgij; do
  rm -f $RPM_BUILD_ROOT%{versmainlibdir}/$lib.la
%if %{biarch}
  rm -f $RPM_BUILD_ROOT%{versmainlibdirbi}/$lib.la
%endif
done
mkdir -p $RPM_BUILD_ROOT%{_libdir}
%if %{biarch}
%if %{build_primary_64bit}
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib
%else
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib64
%endif
%endif
# LIBJAVA-DELETE-BEGIN
%if %{build_cp}
# Merge multilib c++config.h to allow omitting the duplicate and
# identical other arch specific headers
dir_ml=
cxxconfig="`find %{GCCDIST}/libstdc++-v3/include -name c++config.h`"
for i in `find %{GCCDIST}/[36]*/libstdc++-v3/include -name c++config.h 2>/dev/null`; do
  if ! diff -up $cxxconfig $i; then
    file_32=x
    file_64=x
    case $i in
      %{GCCDIST}/32/*)
        file_32=$i
        file_64=$cxxconfig
        dir_ml=32
	;;
      %{GCCDIST}/64/*)
        file_32=$cxxconfig
	file_64=$i
        dir_ml=64
	;;
    esac
    if ! ( test -f "$file_32" && test -f "$file_64" ); then
      echo "Urgs?"
      exit 1
    fi
    cat > $RPM_BUILD_ROOT%{_prefix}/include/c++/%{gcc_dir_version}/%{GCCDIST}/bits/c++config.h <<EOF
#ifndef _CPP_CPPCONFIG_WRAPPER
#define _CPP_CPPCONFIG_WRAPPER 1
#include <bits/wordsize.h>
#if __WORDSIZE == 32
`cat $file_32`
#else
`cat $file_64`
#endif
#endif
EOF
    break
  fi
done
rm -rf $RPM_BUILD_ROOT%{_prefix}/include/c++/%{gcc_dir_version}/%{GCCDIST}/[36]*
if ! test -z "$dir_ml"; then
  ln -s . $RPM_BUILD_ROOT%{_prefix}/include/c++/%{gcc_dir_version}/%{GCCDIST}/$dir_ml
fi
%endif
# LIBJAVA-DELETE-END
# move shared libs from versionspecific dir to main libdir
for libname in \
%if 0%{?building_libjava:1}
  libgcj libgij libgcj-tools \
%else
%if %{build_fortran}
  libgfortran \
%endif
%if %{build_objc}
  libobjc \
%endif
%if %{build_cp}
  libstdc++ \
%endif
  libgomp \
%if %{build_with_mudflap}
  libmudflap libmudflapth \
%endif
%endif
    ; do
  for lib in `find $RPM_BUILD_ROOT%{versmainlibdir} -maxdepth 1 -name $libname.so.*`; do
    mv $lib $RPM_BUILD_ROOT%{mainlibdir}/
  done
  ln -sf %{mainlibdir}/`readlink $RPM_BUILD_ROOT%{versmainlibdir}/$libname.so | sed -e 's/\(.*\.so\.[^\.]*\).*/\1/'`  \
         $RPM_BUILD_ROOT%{versmainlibdir}/$libname.so
%if %{biarch}
  if test -d $RPM_BUILD_ROOT%{versmainlibdirbi}; then
    for lib in `find $RPM_BUILD_ROOT%{versmainlibdirbi} -maxdepth 1 -name "$libname.so.*"`; do
      mv $lib $RPM_BUILD_ROOT%{mainlibdirbi}/
    done
    ln -sf %{mainlibdirbi}/`readlink $RPM_BUILD_ROOT%{versmainlibdirbi}/$libname.so | sed -e 's/\(.*\.so\.[^\.]*\).*/\1/'`  \
         $RPM_BUILD_ROOT%{versmainlibdirbi}/$libname.so
  fi
%endif
done
%if 0%{?building_libjava:1}
# libgcj_bc is special as the .so file is actually a different
# library as the library refered to by the SONAME which should
# be a simple link to our libgcj.
for lib in `find $RPM_BUILD_ROOT%{versmainlibdir} -maxdepth 1 -name libgcj_bc.so.*`; do
  rm $lib
done
ln -s libgcj.so.%{gcj_sover} $RPM_BUILD_ROOT%{mainlibdir}/libgcj_bc.so.1
%if %{biarch_libjava}
for lib in `find $RPM_BUILD_ROOT%{versmainlibdirbi} -maxdepth 1 -name libgcj_bc.so.*`; do
  rm $lib
done
ln -s libgcj.so.%{gcj_sover} $RPM_BUILD_ROOT%{mainlibdirbi}/libgcj_bc.so.1
%endif
%endif
# LIBJAVA-DELETE-BEGIN
# Move libgcc_s around
rm -f $RPM_BUILD_ROOT/%{_lib}/libgcc_s.so
ln -sf /%{_lib}/libgcc_s.so.%{libgcc_s} $RPM_BUILD_ROOT%{versmainlibdir}/libgcc_s.so
chmod a+x $RPM_BUILD_ROOT/%{_lib}/libgcc_s.so.%{libgcc_s}
%if %{biarch}
%if %{build_primary_64bit}
rm -f $RPM_BUILD_ROOT/lib/libgcc_s.so
ln -sf /lib/libgcc_s.so.%{libgcc_s} $RPM_BUILD_ROOT%{versmainlibdirbi32}/libgcc_s.so
ln -sf /lib/libgcc_s.so.%{libgcc_s} $RPM_BUILD_ROOT%{versmainlibdirbi32}/libgcc_s_32.so
chmod a+x $RPM_BUILD_ROOT/lib/libgcc_s.so.%{libgcc_s}
%else
# 32-bit biarch systems
rm -f $RPM_BUILD_ROOT/lib64/libgcc_s.so
ln -sf /lib64/libgcc_s.so.%{libgcc_s} $RPM_BUILD_ROOT%{versmainlibdirbi64}/libgcc_s.so
ln -sf /lib64/libgcc_s.so.%{libgcc_s} $RPM_BUILD_ROOT%{versmainlibdirbi64}/libgcc_s_64.so
chmod a+x $RPM_BUILD_ROOT/lib64/libgcc_s.so.%{libgcc_s}
%endif
%endif
# LIBJAVA-DELETE-END
%if %{build_ada}
mv $RPM_BUILD_ROOT%{libsubdir}/adalib/lib*-*.so $RPM_BUILD_ROOT%{_libdir}
ln -sf %{_libdir}/$(cd $RPM_BUILD_ROOT%{_libdir} && echo libgnarl-*.so) $RPM_BUILD_ROOT%{libsubdir}/adalib/libgnarl.so
ln -sf %{_libdir}/$(cd $RPM_BUILD_ROOT%{_libdir} && echo libgnat-*.so) $RPM_BUILD_ROOT%{libsubdir}/adalib/libgnat.so
chmod a+x $RPM_BUILD_ROOT%{_libdir}/libgna*-*.so
%endif
rm -f $RPM_BUILD_ROOT%{_prefix}/bin/c++%{binsuffix}
# Remove some crap from the .la files:
for l in `find $RPM_BUILD_ROOT -name '*.la'`; do
  echo "changing $l"
# -e '/^dependency_libs/s|%{libsubdir}/\([^.]*\)\.la |%{_libdir}/\1\.la |g'
  sed -e '/^dependency_libs/s| -L/usr/src/packages/BUILD/[^ ]*||g' \
      -e '/^dependency_libs/s| -L/usr/%{GCCDIST}/bin||g' \
      -e '/^dependency_libs/s|-lm \(-lm \)*|-lm |' \
      -e '/^dependency_libs/s|-L[^ ]* ||g' \
%if %{biarch}
%if %{build_primary_64bit}
      -e '/^libdir/s|%{_libdir}/32|%{_prefix}/lib|' \
      -e '/^libdir/s|lib64/\.\./||' \
%else
      -e '/^libdir/s|%{_libdir}/64|%{_prefix}/lib64|' \
%endif
%endif
      < $l  > $l.new
  mv $l.new $l
done
%if %{run_tests} 
cp `find . -name "*.sum"` ../testresults/
cp `find . -name "*.log"  \! -name "config.log" |grep -v 'acats/tests' ` ../testresults/
chmod 644 ../testresults/*
%endif
%if %{build_cp}
# Find C++ and Java headers
find $RPM_BUILD_ROOT%{_prefix}/include/c++ \
  -regex ".*/\(org\|gcj\|gnu\|java\|javax\)" -prune \
  -o \( -type d -printf "%%%%dir " , \
        -printf "%{_prefix}/include/c++/%%P\n" \) > ../c++-headers
%endif
# Remove files that we do not need to clean up filelist
rm -f $RPM_BUILD_ROOT%{_prefix}/bin/%{GCCDIST}-*
rm -rf $RPM_BUILD_ROOT%{libsubdir}/install-tools
rm -rf $RPM_BUILD_ROOT%{libsubdir}/install-tools
#rm -rf $RPM_BUILD_ROOT%{_libdir}/pkgconfig/libgcj%{binsuffix}.pc
rm -rf $RPM_BUILD_ROOT%{libsubdir}/include-fixed/root
rm -f $RPM_BUILD_ROOT%{libsubdir}/include-fixed/curses.h
rm -rf $RPM_BUILD_ROOT%{libsubdir}/include-fixed/asm-*
rm -rf $RPM_BUILD_ROOT%{libsubdir}/include-fixed/linux
rm -rf $RPM_BUILD_ROOT%{libsubdir}/include-fixed/sound
rm -rf $RPM_BUILD_ROOT%{libsubdir}/include-fixed/features.h
rm -f $RPM_BUILD_ROOT%{libsubdir}/include-fixed/ncurses.h
rm -f $RPM_BUILD_ROOT%{libsubdir}/include-fixed/stdio.h
rm -f $RPM_BUILD_ROOT%{libsubdir}/include-fixed/zutil.h
rm -rf $RPM_BUILD_ROOT%{libsubdir}/include-fixed/X11
rm -rf $RPM_BUILD_ROOT%{libsubdir}/include-fixed/bits
rm -f $RPM_BUILD_ROOT%{libsubdir}/include-fixed/obstack.h
rm -f $RPM_BUILD_ROOT%{libsubdir}/include-fixed/spe.h
rm -rf $RPM_BUILD_ROOT%{libsubdir}/include-fixed/bits
rm -rf $RPM_BUILD_ROOT%{libsubdir}/include-fixed/sys
rm -f $RPM_BUILD_ROOT%{libsubdir}/include/cpuid.h
rm -f  $RPM_BUILD_ROOT%{_infodir}/dir
rm -f  $RPM_BUILD_ROOT%{_prefix}/bin/gccbug%{binsuffix}
%if !0%{?building_libjava:1}
# delete compile flag tracking from crt files
crt_list=$RPM_BUILD_ROOT%{versmainlibdir}/crt*.o
%if %{biarch}
%if %{build_primary_64bit}
crt32_list=$RPM_BUILD_ROOT%{versmainlibdirbi32}/crt*.o
%else
crt64_list=$RPM_BUILD_ROOT%{versmainlibdirbi64}/crt*.o
%endif
%endif
#for o in $crt_list $crt32_list $crt64_list; do
#  objcopy -R ".comment.SUSE.OPTs" $o
#done
%endif
%if %{build_libjava}
# gcj -static doesn't work properly anyway, unless using --whole-archive
# let's save the space instead.
find $RPM_BUILD_ROOT -name libgcj.a \
	-o -name libgcj-tools.a \
	-o -name libgij.a \
	-o -name libgtkpeer.a \
	-o -name libjawt.a \
	-o -name libjvm.a \
	-o -name libgcj_bc.a \
  | xargs rm -f
find $RPM_BUILD_ROOT -name libgcj.spec | xargs \
  sed -i -e 's/lib: /&%%{static:%%eJava programs cannot be linked statically}/'
# Move libffi headers, remove empty libffi libtool file
mv $RPM_BUILD_ROOT%{libsubdir}/include/ffitarget.h $RPM_BUILD_ROOT%{_prefix}/include/
mv $RPM_BUILD_ROOT%{libsubdir}/include/ffi.h $RPM_BUILD_ROOT%{_prefix}/include/
rm -f $RPM_BUILD_ROOT%{mainlibdir}/libffi.la
%if %{biarch}
rm -f $RPM_BUILD_ROOT%{mainlibdirbi}/libffi.la
%endif
# security files have broken install locations, also they cause conflicts
# between libgcj versions.  Simply delete them here, libgcj will use its
# defaults in this case (which is what these files contain anyway).
rm $RPM_BUILD_ROOT%{_libdir}/logging.properties
rm -r $RPM_BUILD_ROOT%{_libdir}/security
%endif
%if %{build_java}
%if !%{build_libjava}
rm $RPM_BUILD_ROOT%{_mandir}/man1/jv-convert%{binsuffix}.1
rm $RPM_BUILD_ROOT%{_mandir}/man1/gcj-dbtool%{binsuffix}.1
rm $RPM_BUILD_ROOT%{_mandir}/man1/gij%{binsuffix}.1
rm $RPM_BUILD_ROOT%{_mandir}/man1/grmic%{binsuffix}.1
rm $RPM_BUILD_ROOT%{_mandir}/man1/gc-analyze%{binsuffix}.1
%endif
%endif
rm -f $RPM_BUILD_ROOT%{_mandir}/man7/fsf-funding.7
rm -f $RPM_BUILD_ROOT%{_mandir}/man7/gfdl.7
rm -f $RPM_BUILD_ROOT%{_mandir}/man7/gpl.7
rm -f $RPM_BUILD_ROOT%{_libdir}/libiberty.a
%if %{build_nof}
rm -f $RPM_BUILD_ROOT%{_prefix}/lib/nof/libiberty.a
%endif
%if %{biarch}
%if %{build_primary_64bit}
rm -f $RPM_BUILD_ROOT%{_prefix}/lib/libiberty.a
%else
rm -f $RPM_BUILD_ROOT%{_prefix}/lib64/libiberty.a
%endif
%endif
%if 0%{?building_libjava:1}
# For building libjava only we need to delete other info docs
rm $RPM_BUILD_ROOT%{_infodir}/cp-tools.info*
# For building the java frontend we need to copy the ecj jar
mkdir -p $RPM_BUILD_ROOT%{libsubdir}
cp $RPM_SOURCE_DIR/ecj.jar $RPM_BUILD_ROOT%{libsubdir}
%else
# For regular build, some info files do not get renamed properly.
# Do so here.
mv $RPM_BUILD_ROOT%{_infodir}/libgomp.info $RPM_BUILD_ROOT%{_infodir}/libgomp%{binsuffix}.info
%if %{build_ada}
mv $RPM_BUILD_ROOT%{_infodir}/gnat-style.info $RPM_BUILD_ROOT%{_infodir}/gnat-style%{binsuffix}.info
mv $RPM_BUILD_ROOT%{_infodir}/gnat_rm.info $RPM_BUILD_ROOT%{_infodir}/gnat_rm%{binsuffix}.info
mv $RPM_BUILD_ROOT%{_infodir}/gnat_ugn_unw.info $RPM_BUILD_ROOT%{_infodir}/gnat_ugn_unw%{binsuffix}.info
%endif
%endif
# LIBJAVA-DELETE-BEGIN
cd ..
%if 1
%find_lang gcc43-locale --all-name
%else
%find_lang cpplib%{binsuffix}
%find_lang gcc%{binsuffix}
%find_lang libstdc++
cat cpplib%{binsuffix}.lang gcc%{binsuffix}.lang libstdc++.lang \
	> gcc43-locale.lang
%endif

# Hack from Fedora
mkdir -p $RPM_BUILD_ROOT%{_prefix}/sbin
gcc -static -Os %{SOURCE6} -o $RPM_BUILD_ROOT%{_prefix}/sbin/libgcc_post_upgrade
strip $RPM_BUILD_ROOT%{_prefix}/sbin/libgcc_post_upgrade

%post info
%install_info --info-dir=%{_infodir} %{_infodir}/cpp%{binsuffix}.info.gz
%install_info --info-dir=%{_infodir} %{_infodir}/cppinternals%{binsuffix}.info.gz
%install_info --info-dir=%{_infodir} %{_infodir}/gcc%{binsuffix}.info.gz
%install_info --info-dir=%{_infodir} %{_infodir}/gccint%{binsuffix}.info.gz
%install_info --info-dir=%{_infodir} %{_infodir}/gccinstall%{binsuffix}.info.gz
%install_info --info-dir=%{_infodir} %{_infodir}/libgomp%{binsuffix}.info.gz
%if %{build_fortran} 
%install_info --info-dir=%{_infodir} %{_infodir}/gfortran%{binsuffix}.info.gz
%endif
%if %{build_java}
%install_info --info-dir=%{_infodir} %{_infodir}/gcj%{binsuffix}.info.gz
%endif
%if %{build_ada}
%install_info --info-dir=%{_infodir} %{_infodir}/gnat-style%{binsuffix}.info.gz
%install_info --info-dir=%{_infodir} %{_infodir}/gnat_rm%{binsuffix}.info.gz
%install_info --info-dir=%{_infodir} --section="GNU Ada tools" --entry="* GNAT User's Guide: (gnat_ug_unx). GNAT User's Guide for Unix Platforms" %{_infodir}/gnat_ug_unx%{binsuffix}.info.gz
%endif

%postun info
%install_info_delete --info-dir=%{_infodir} %{_infodir}/cpp%{binsuffix}.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/cppinternals%{binsuffix}.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/gcc%{binsuffix}.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/gccint%{binsuffix}.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/gccinstall%{binsuffix}.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/libgomp%{binsuffix}.info.gz
%if %{build_fortran}
%install_info_delete --info-dir=%{_infodir} %{_infodir}/gfortran%{binsuffix}.info.gz
%endif
%if %{build_java}
%install_info_delete --info-dir=%{_infodir} %{_infodir}/gcj%{binsuffix}.info.gz
%endif
%if %{build_ada}
%install_info_delete --info-dir=%{_infodir} %{_infodir}/gnat-style%{binsuffix}.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/gnat_rm%{binsuffix}.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/gnat_ug_unx%{binsuffix}.info.gz
%endif

%files
%defattr(-,root,root)
%dir %{_libdir}/gcc
%dir %{_libdir}/gcc/%{GCCDIST}
%dir %{libsubdir}
%dir %{libsubdir}/include
%dir %{libsubdir}/include-fixed
%exclude %{libsubdir}/include-fixed/asm/*
%if %{biarch}
%if %{build_primary_64bit}
%dir %{libsubdir}/32
%else
%dir %{libsubdir}/64
%endif
%endif
%if %{build_nof}
%dir %{libsubdir}/nof
%endif
%{_prefix}/bin/gcc%{binsuffix}
%{_prefix}/bin/gcov%{binsuffix}
%{libsubdir}/collect2
%{libsubdir}/include-fixed/README
%{libsubdir}/include-fixed/limits.h
%{libsubdir}/include-fixed/syslimits.h
%if 0
%{libsubdir}/include-fixed/wchar.h
%endif
%{libsubdir}/include/omp.h
%{libsubdir}/include/float.h
%{libsubdir}/include/iso646.h
%{libsubdir}/include/stdarg.h
%{libsubdir}/include/stdbool.h
%{libsubdir}/include/stdfix.h
%{libsubdir}/include/stddef.h
%{libsubdir}/include/uchar.h
%{libsubdir}/include/unwind.h
%{libsubdir}/include/varargs.h
%ifarch ppc ppc64
%{libsubdir}/include/altivec.h
%{libsubdir}/include/ppc-asm.h
%{libsubdir}/include/paired.h
%{libsubdir}/include/ppu_intrinsics.h
%{libsubdir}/include/si2vmx.h
%{libsubdir}/include/spe.h
%{libsubdir}/include/spu2vmx.h
%{libsubdir}/include/vec_types.h
%endif
%ifarch ia64
%{libsubdir}/include/ia64intrin.h
%endif
%ifarch %arm
%{libsubdir}/include/mmintrin.h
%endif
%ifarch %ix86 x86_64
%{libsubdir}/include/mm3dnow.h
%{libsubdir}/include/mmintrin.h
%{libsubdir}/include/mmintrin-common.h
%{libsubdir}/include/ammintrin.h
%{libsubdir}/include/bmmintrin.h
%{libsubdir}/include/emmintrin.h
%{libsubdir}/include/pmmintrin.h
%{libsubdir}/include/xmmintrin.h
%{libsubdir}/include/tmmintrin.h
%{libsubdir}/include/nmmintrin.h
%{libsubdir}/include/smmintrin.h
%{libsubdir}/include/wmmintrin.h
%{libsubdir}/include/mm_malloc.h
%endif
%if %{build_with_mudflap}
%{libsubdir}/include/mf-runtime.h
%endif
%versmainlib *crt*.o
%versmainlib libgcc*.a
%versmainlib libgcov.a
%versmainlib libgcc_s*.so
%if %{build_with_mudflap}
%versmainlib libmudflap.a
%versmainlib libmudflap.so
%versmainlib libmudflapth.a
%versmainlib libmudflapth.so
%endif
%versmainlib libgomp.so
%versmainlib libgomp.a
%versmainlib libgomp.spec
%doc %{_mandir}/man1/gcc%{binsuffix}.1.gz
%doc %{_mandir}/man1/gcov%{binsuffix}.1.gz
%if %{separate_biarch}

%files -n gcc43%{separate_biarch_suffix}
%defattr(-,root,root)
%versbiarchlib *crt*.o
%versbiarchlib libgcc*.a
%versbiarchlib libgcov.a
%versbiarchlib libgcc_s*.so
%if %{build_with_mudflap}
%versbiarchlib libmudflap.a
%versbiarchlib libmudflap.so
%versbiarchlib libmudflapth.a
%versbiarchlib libmudflapth.so
%endif
%versbiarchlib libgomp.so
%versbiarchlib libgomp.a
%versbiarchlib libgomp.spec
%endif

%files locale -f gcc43-locale.lang
%if %{build_cp}

%files c++
%defattr(-,root,root)
%dir %{_libdir}/gcc
%dir %{_libdir}/gcc/%{GCCDIST}
%dir %{libsubdir}
%{_prefix}/bin/g++%{binsuffix}
%doc %{_mandir}/man1/g++%{binsuffix}.1.gz
%{libsubdir}/cc1plus

%files -n libstdc++43
%defattr(-,root,root)
%if %{build_nof}
%dir %{noflibdir}
%endif
%mainlib libstdc++.so.*
%if %{separate_biarch}

%files -n libstdc++43%{separate_biarch_suffix}
%defattr(-,root,root)
%biarchlib libstdc++.so.*
%endif

%files -n libstdc++43-devel -f c++-headers
%defattr(-,root,root)
%versmainlib libstdc++.a
%versmainlib libstdc++.so
%versmainlib libsupc++.a
%if %{separate_biarch}

%files -n libstdc++43-devel%{separate_biarch_suffix}
%defattr(-,root,root)
%versbiarchlib libstdc++.a
%versbiarchlib libstdc++.so
%versbiarchlib libsupc++.a
%endif

%files -n libstdc++43-doc
%defattr(-,root,root)
%doc libstdc++-v3/doc/html
%endif

%files -n libgcc43
%defattr(-,root,root)
%{_prefix}/sbin/libgcc_post_upgrade
/%{_lib}/libgcc_s.so.%{libgcc_s}
%if %{build_nof}
%dir /lib/nof
/lib/nof/libgcc_s.so.%{libgcc_s}
%endif
%if %{biarch}
%if %{build_primary_64bit}
%if !%{separate_bi32}
/lib/libgcc_s.so.%{libgcc_s}
%endif
%else
%if !%{separate_bi64}
/lib64/libgcc_s.so.%{libgcc_s}
%endif
%endif
%endif
%if %{separate_bi64}

%files -n libgcc43-64bit
%defattr(-,root,root)
/lib64/libgcc_s.so.%{libgcc_s}
%endif
%if %{separate_bi32}

%files -n libgcc43-32bit
%defattr(-,root,root)
/lib/libgcc_s.so.%{libgcc_s}
%endif

%files -n libgomp43
%defattr(-,root,root)
%mainlib libgomp.so.1*
%if %{separate_biarch}

%files -n libgomp43%{separate_biarch_suffix}
%defattr(-,root,root)
%biarchlib libgomp.so.1*
%endif
%if %{build_fortran}

%files fortran
%defattr(-,root,root)
%dir %{libsubdir}/finclude
%{_prefix}/bin/gfortran%{binsuffix}
%{libsubdir}/f951
%{libsubdir}/finclude/*
%versmainlib libgfortran.a
%versmainlib libgfortran.so
%versmainlib libgfortranbegin.a
%doc %{_mandir}/man1/gfortran%{binsuffix}.1.gz
%if %{separate_biarch}

%files fortran%{separate_biarch_suffix}
%defattr(-,root,root)
%versbiarchlib libgfortran.a
%versbiarchlib libgfortran.so
%versbiarchlib libgfortranbegin.a
%endif

%files -n libgfortran43
%defattr(-,root,root)
%mainlib libgfortran.so.*
%if %{separate_biarch}

%files -n libgfortran43%{separate_biarch_suffix}
%defattr(-,root,root)
%biarchlib libgfortran.so.*
%endif
%endif
%if %{build_with_mudflap}

%files -n libmudflap43
%defattr(-,root,root)
%mainlib libmudflap.so.0*
%mainlib libmudflapth.so.0*
%if %{separate_biarch}

%files -n libmudflap43%{separate_biarch_suffix}
%defattr(-,root,root)
%biarchlib libmudflap.so.0*
%biarchlib libmudflapth.so.0*
%endif
%endif

%files info
%defattr(-,root,root)
%doc %{_infodir}/cpp%{binsuffix}.info*.gz
%doc %{_infodir}/cppinternals%{binsuffix}.info*.gz
%doc %{_infodir}/gcc%{binsuffix}.info*.gz
%doc %{_infodir}/gccint%{binsuffix}.info*.gz
%doc %{_infodir}/gccinstall%{binsuffix}.info*.gz
%doc %{_infodir}/libgomp%{binsuffix}.info*.gz
%if %{build_fortran}
%doc %{_infodir}/gfortran%{binsuffix}.info*.gz
%endif
%if %{build_java}
%doc %{_infodir}/gcj%{binsuffix}.info*.gz
%endif
%if %{build_ada}
%doc %{_infodir}/gnat-style%{binsuffix}.info*gz
%doc %{_infodir}/gnat_rm%{binsuffix}.info*gz
%doc %{_infodir}/gnat_ugn_unw%{binsuffix}.info*gz
%endif

%files -n cpp43
%defattr(-,root,root)
%dir %{_libdir}/gcc
%dir %{_libdir}/gcc/%{GCCDIST}
%dir %{libsubdir}
%{_prefix}/bin/cpp%{binsuffix}
%{libsubdir}/cc1
#%{libsubdir}/specs
%doc %{_mandir}/man1/cpp%{binsuffix}.1.gz
%if %{build_objc}

%files objc
%defattr(-,root,root)
%{libsubdir}/cc1obj
%{libsubdir}/include/objc
%versmainlib libobjc.a
%versmainlib libobjc.so
%if %{separate_biarch}

%files objc%{separate_biarch_suffix}
%defattr(-,root,root)
%versbiarchlib libobjc.a
%versbiarchlib libobjc.so
%endif

%files -n libobjc43
%defattr(-,root,root)
%mainlib libobjc.so.*
%if %{separate_biarch}

%files -n libobjc43%{separate_biarch_suffix}
%defattr(-,root,root)
%biarchlib libobjc.so.*
%endif
%endif
%if %{build_objcp}

%files obj-c++
%defattr(-,root,root)
%{libsubdir}/cc1objplus
%endif
%if %{build_ada}

%files ada
%defattr(-,root,root)
%dir %{_libdir}/gcc
%dir %{_libdir}/gcc/%{GCCDIST}
%dir %{libsubdir}
%{_prefix}/bin/gnat*
%{libsubdir}/adainclude
%dir %{libsubdir}/adalib
%{libsubdir}/adalib/*.ali
%{libsubdir}/adalib/*.a
%{libsubdir}/adalib/libgnarl.so
%{libsubdir}/adalib/libgnat.so
%{libsubdir}/adalib/g-trasym.o
%{libsubdir}/gnat1

%files -n libada43
%defattr(-,root,root)
# Ada is not multilibbed
%{mainlibdir}/libgnarl-*.so
%{mainlibdir}/libgnat-*.so
%endif
# LIBJAVA-DELETE-END
%if %{build_java}
%if 0%{?building_libjava:1}

%files -n gcc43-java
%defattr(-,root,root)
%{_prefix}/bin/gcj%{binsuffix}
%{_prefix}/bin/gcjh%{binsuffix}
%{_prefix}/bin/gcj-dbtool%{binsuffix}
%{_prefix}/bin/jcf-dump%{binsuffix}
%{_prefix}/bin/jv-convert%{binsuffix}
%{_prefix}/bin/gc-analyze%{binsuffix}
%{libsubdir}/jc1
%{libsubdir}/jvgenmain
%{libsubdir}/ecj.jar
%{libsubdir}/ecj1
%doc %{_mandir}/man1/gcj%{binsuffix}.1.gz
%doc %{_mandir}/man1/gcjh%{binsuffix}.1.gz
%doc %{_mandir}/man1/gcj-dbtool%{binsuffix}.1.gz
%doc %{_mandir}/man1/jcf-dump%{binsuffix}.1.gz
%doc %{_mandir}/man1/jv-convert%{binsuffix}.1.gz
%doc %{_mandir}/man1/gc-analyze%{binsuffix}.1.gz
%endif
%endif
%if %{build_java}
%if %{build_libjava}

%files -n libgcj43
%defattr(-,root,root)
%dir %{_libdir}/gcj-%{gcc_dir_version}-%{gcj_sover}
%dir %{_libdir}/gcc
%dir %{_libdir}/gcc/%{GCCDIST}
%dir %{libsubdir}
%{_libdir}/gcj-%{gcc_dir_version}-%{gcj_sover}/classmap.db
# We usually do not multilib libjava
%if %{biarch_libjava}
%versbiarchlib libgcj.la
%biarchlib libgcj.so.*
%biarchlib libgij.so.*
%biarchlib libgcj-tools.so.*
%else
%versmainlib libgcj.la
%mainlib libgcj.so.*
%mainlib libgij.so.*
%mainlib libgcj-tools.so.*
%endif
%{_libdir}/gcj-%{gcc_dir_version}-%{gcj_sover}/libgtkpeer.la
%{_libdir}/gcj-%{gcc_dir_version}-%{gcj_sover}/libgtkpeer.so
%{_libdir}/gcj-%{gcc_dir_version}-%{gcj_sover}/libjawt.la
%{_libdir}/gcj-%{gcc_dir_version}-%{gcj_sover}/libjawt.so
%{_libdir}/gcj-%{gcc_dir_version}-%{gcj_sover}/libjvm.la
%{_libdir}/gcj-%{gcc_dir_version}-%{gcj_sover}/libjvm.so

%files -n libgcj_bc43
%defattr(-,root,root)
%if %{biarch_libjava}
%biarchlib libgcj_bc.so.*
%else
%mainlib libgcj_bc.so.*
%endif

%files -n libgcj43-jar
%defattr(-,root,root)
%{_prefix}/share/java/libgcj-%{gcc_dir_version}.jar
%{_prefix}/share/java/libgcj-tools-%{gcc_dir_version}.jar

%files -n libgcj43-devel
%defattr(-,root,root)
%dir %{_prefix}/include/c++
%dir %{libsubdir}
%dir %{libsubdir}/include
%dir %{gxxinclude}
%{_libdir}/pkgconfig/libgcj%{binsuffix}.pc
%{_prefix}/bin/addr2name.awk%{binsuffix}
%{libsubdir}/include/jawt.h
%{libsubdir}/include/jawt_md.h
%{libsubdir}/include/jni.h
%{libsubdir}/include/jni_md.h
%{libsubdir}/include/jvmpi.h
%{gxxinclude}/gnu
%{gxxinclude}/gcj
%{gxxinclude}/java
%{gxxinclude}/javax
%{gxxinclude}/org
%{gxxinclude}/sun
%{libsubdir}/include/gcj
%if %{biarch_libjava}
%versbiarchlib libgcj.so
%versbiarchlib libgcj.spec
%versbiarchlib libgcj-tools.so
%versbiarchlib libgij.so
%versbiarchlib libgcj_bc.so
%else
%versmainlib libgcj.so
%versmainlib libgcj.spec
%versmainlib libgcj-tools.so
%versmainlib libgij.so
%versmainlib libgcj_bc.so
%endif

%files -n gcc43-gij
%defattr(-,root,root)
%{_prefix}/bin/gij%{binsuffix}
%{_prefix}/bin/gappletviewer%{binsuffix}
%{_prefix}/bin/gjar%{binsuffix}
%{_prefix}/bin/gjarsigner%{binsuffix}
%{_prefix}/bin/gjavah%{binsuffix}
%{_prefix}/bin/gkeytool%{binsuffix}
%{_prefix}/bin/gnative2ascii%{binsuffix}
%{_prefix}/bin/gorbd%{binsuffix}
%{_prefix}/bin/grmic%{binsuffix}
%{_prefix}/bin/grmid%{binsuffix}
%{_prefix}/bin/grmiregistry%{binsuffix}
%{_prefix}/bin/gserialver%{binsuffix}
%{_prefix}/bin/gtnameserv%{binsuffix}
%doc %{_mandir}/man1/gij%{binsuffix}.1.gz
%doc %{_mandir}/man1/gappletviewer%{binsuffix}.1.gz
%doc %{_mandir}/man1/grmic%{binsuffix}.1.gz
%doc %{_mandir}/man1/grmid%{binsuffix}.1.gz
%doc %{_mandir}/man1/grmiregistry%{binsuffix}.1.gz
%doc %{_mandir}/man1/gkeytool%{binsuffix}.1.gz
%doc %{_mandir}/man1/gjar%{binsuffix}.1.gz
%doc %{_mandir}/man1/gjarsigner%{binsuffix}.1.gz
%doc %{_mandir}/man1/gjavah%{binsuffix}.1.gz
%doc %{_mandir}/man1/gnative2ascii%{binsuffix}.1.gz
%doc %{_mandir}/man1/gorbd%{binsuffix}.1.gz
%doc %{_mandir}/man1/gserialver%{binsuffix}.1.gz
%doc %{_mandir}/man1/gtnameserv%{binsuffix}.1.gz

%files -n libffi43
%defattr(-,root,root)
%mainlib libffi.so.*
%if %{separate_biarch}

%files -n libffi43%{separate_biarch_suffix}
%defattr(-,root,root)
%biarchlib libffi.so.*
%endif

%files -n libffi43-devel
%defattr(-,root,root)
%{_prefix}/include/ffi.h
%{_prefix}/include/ffitarget.h
%mainlib libffi.so
%mainlib libffi.a
%if %{separate_biarch}

%files -n libffi43-devel%{separate_biarch_suffix}
%defattr(-,root,root)
%biarchlib libffi.so
%biarchlib libffi.a
%endif
%endif
%endif
%if %{run_tests}

%files -n gcc43-testresults
%defattr(-,root,root)
%doc testresults/test_summary.txt
%doc testresults/*.sum
%doc testresults/*.log
%endif

%changelog
* Sat Apr 25 2009 Arjan van de Ven <arjan@linux.intel.com> 4.3.3_20081022
- Add a -java subpackage
* Mon Apr 20 2009 Austin Zhang <austin.zhang@intel.com> 4.3.3_20081022  
- Update with pr bugfix for #39675
  pr39675.diff --- fix moblin bug#1423
* Mon Feb 23 2009 Austin Zhang <austin.zhang@intel.com> 4.3.3_20081022  
- Update with
  nvl464739.patch
  pr38000.diff
  * Mon Jan 12 2009 rguenther@suse.de
  - Correct decimal floating-point macros in <float.h> to match
    the final version of ISO C TR24732.  [bnc#464739]
  - Add patch for PR38000, C++ headers malefunction with the use
    of -isystem.  [bnc#465348]
  nvl440482.patch
  * Thu Jan  8 2009 rguenther@suse.de
  - Fix crash during unwinding on ppc64.  [bnc#440482]
  gcc43-ecj-link.patch
  nvl428413.patch
  pr38171.diff
  pr38752.diff
  * Wed Jan  7 2009 rguenther@suse.de
  - Do not link ecj1 against libgcj.
  - Fix TOC clobbering on ppc.  [bnc#428413]
  - Add patch for PR38171.  [bnc#457593]
  - Add patch for PR38752.  [bnc#459344]
* Fri Jan 16 2009 Anas Nashif <anas.nashif@intel.com> 4.3.3_20081022
- Fixed another ldconfig call in %%post
* Tue Jan 13 2009 Anas Nashif <anas.nashif@intel.com> 4.3.3_20081022
- Do not run ldconfig, instread run compiled in utility
* Mon Dec 22 2008 Anas Nashif <anas.nashif@intel.com> 4.3.3_20081022
- Initial import into Moblin
* Thu Nov 27 2008 rguenther@suse.de
- Add capability to process default_spec from a defaults.spec specs
  file if that exists.
* Fri Nov 21 2008 matz@suse.de
- Fix a segfault.  [bnc #447669]
* Fri Nov 21 2008 rguenther@suse.de
- Back to z900 default architecture and z9-109 tuning for System-z.
* Mon Nov 17 2008 rguenther@suse.de
- Backport patch for PR38051.  [ggo#38169]
- Filter out -m32/-m64 from RPM_OPT_FLAGS.
* Thu Nov 13 2008 matz@suse.de
- Pass build-id to linker also on ppc/ppc64.
* Mon Nov 10 2008 matz@suse.de
- Make libgcc43 also provide/obsolete libgcc33.  [bnc #442802]
* Fri Nov  7 2008 rguenther@suse.de
- Disable profiledbootstrap.
* Fri Nov  7 2008 rguenther@suse.de
- Add patch for PR37868.  [bnc#442276]
- Add uchar.h header.  [fate#303956]
* Thu Nov  6 2008 rguenther@suse.de
- Add patch for PR36438.  [bnc#442192]
* Mon Nov  3 2008 rguenther@suse.de
- Fix Cell ABI problems.  [bnc#441016]
- Move to new Cell cross compiler directory layout.
- Add patch to fix --with-sysroot for Cell.
* Fri Oct 24 2008 schwab@suse.de
- Fix indirect call profiling on ia64 (PR32277).
* Wed Oct 22 2008 matz@suse.de
- Update to gcc-4_3-branch head (141291).
  * Fixes PR37603, PR37731, PR35437, PR37102.
- Build crtend*.o without unwind tables.
* Wed Oct 15 2008 rguenther@suse.de
- Fix version reporting for SLES, now also for openSUSE.  [bnc#363219]
- Fix use of DFP instructions with -msoft-float on System-z.  [bnc#436041]
- Change default architecture to z9-109 for System-z.
- Change default tuning to z10 for System-z.
- Enable final C++ mangling for UTF-16.  [fate#303956]
* Mon Oct 13 2008 rguenther@suse.de
- Add missing SPU intrinsics.  [bnc#434500]
* Thu Oct  2 2008 rguenther@suse.de
- Update to gcc-4_3-branch head (140831).
  * Drop now unneeded patches.
- Adopt patches from Fedora10
  * Add fixes for PR34037, PR37189 and revert the fix for PR36741.
  * Fix omp.h header for the 32/64bit multilib.
  * Enable -mno-sse to optimize varargs stack usage.
- Enable proper java home for libgcj.  [bnc#303904]
* Sat Sep 20 2008 rguenther@suse.de
- Drop patch for bnc#425800 again.
- Disable fortran for static crosses.  [bnc#428329]
* Tue Sep 16 2008 rguenther@suse.de
- Put the compile flags section at the end of the file.  Fixes
  wrong code for glibc startfiles.
- Apply build-id and compile flags recording only for suse_version > 1100.
- Add backport patches for UTF-16 support.  [fate#303956]
- Change .comment.SuSE.OPTs to .comment.SUSE.OPTs.
- Add patch to document -march=z10 option for s390.
* Mon Sep 15 2008 rguenther@suse.de
- Update to gcc-4_3-branch head (r140371).
- Add patch for PR35620.  [bnc#425697]
- Add backport patches for powerpc bugfixes from GCC trunk.
  [bnc#425806, bnc#425803, bnc#425800, bnc#425783, bnc#425784, bnc#425788,
  bnc#425789, bnc#425790, bnc#425791, bnc#425794, bnc#425798, bnc#425799,
  bnc#426087]
- Add patch to fix invalid GIMPLE from SRA.  [bnc#423594]
- Fix libgcj43 build.
- Make compile flags comment section non-allocated.
* Fri Sep 12 2008 dmueller@suse.de
- track compile flags in ELF objects (fate #300498)
* Wed Sep 10 2008 rguenther@suse.de
- Update to gcc-4_3-branch head (r140201).
  * adds requested Cell bugfix.
- Add patch for Cell optimizations.
- Passs --build-id to linker.
* Thu Sep  4 2008 rguenther@suse.de
- Update to gcc-4_3-branch head (r139985).
- Do not build static libjava.
* Mon Sep  1 2008 rguenther@suse.de
- Add patch to adjust GCC version string for SLES.  [bnc#363219]
- Forward port patch to preserve function arguments for debug info
  from SLE10.  [fate#301921]
- Add patch for POWER7 support.  [fate#304134]
- Disable mudflap support by default, do not build libmudflap.
- Add patch for PR27975.  [fate#300955]
* Thu Aug 28 2008 rguenther@suse.de
- Update to GCC 4.3.2 release (r139672).  [bnc#363219]
- Revert -mcpu=mpower4 change for ppc, keep it for ppc64.  [bnc#408808]
* Thu Aug 21 2008 rguenther@suse.de
- Update patch for PR27799.  [bnc#419260]
* Mon Aug 18 2008 rguenther@suse.de
- Add patch for the z10 pipeline description.  [bnc#417534, fate#304071]
* Fri Aug 15 2008 rguenther@suse.de
- Update to gcc-4_3-branch head (r139129).
- Make -mcpu=power4 the default.  [bnc#417566]
* Mon Aug 11 2008 rguenther@suse.de
- Add patch for PR36998.  [bnc#416157]
* Tue Aug  5 2008 rguenther@suse.de
- Update to gcc-4_3-branch head (r138797).
- Add patches for context sensitive vector keyword support (IBM).
- Add patch for PR36613.
* Fri Jul 25 2008 rguenther@suse.de
- Update to gcc-4_3-branch head (r138144).
- Add patches for early complete loop unrolling.
* Mon Jul 21 2008 rguenther@suse.de
- Add patches to support SSE5 vectorized shift instructions.
- Add patch for PR36765.
* Tue Jul 15 2008 rguenther@suse.de
- Update to gcc-4_3-branch head (r137837).
- Make it build on SLES9.
- Enable C++ and GFortran for the spu cross.
- Add patch for PR36745.
- Add patch for PR36822.  [bnc#408075]
* Thu Jul  3 2008 rguenther@suse.de
- Update to gcc-4_3-branch head (r137416).
- Add patch to support Intel AES intrinsics.  [fate#303993]
- Add patches to support the IBM z10 architecture.  [fate#304071]
* Wed Jun 25 2008 rguenther@suse.de
- Update to gcc-4_3-branch head (r137104).  [bnc#402268]
* Fri Jun 13 2008 rguenther@suse.de
- Update to gcc-4_3-branch head (r136744).
- Add patch for PR36519.  [ggo#36519]
* Mon Jun  9 2008 rguenther@suse.de
- Update to gcc-4_3-branch head (r136588).
- Includes GCC 4.3.1 release.
- Add patch for PR36474.  [ggo#36474]
* Tue May 27 2008 rguenther@suse.de
- Update to gcc-4_3-branch head (r136151).
- Add patches for PRs 36262 and 36291.  [ggo#36262, ggo#36291]
- Add patch for PR36343.  [ggo#36343]
- Add patch for better supporting suffixed Ada drivers and tools.
- Always set sysroot for spu target.  [bnc#397825]
* Thu May 15 2008 rguenther@suse.de
- Add patch to fix memtest miscompilation.  [ggo#36227]
- Add patch for PR34330 and PR36244.  [ggo#34330, ggo#36244]
* Fri May  9 2008 rguenther@suse.de
- Add patch for PR36187.  [bnc#388664]
* Wed May  7 2008 rguenther@suse.de
- Update to gcc-4_3-branch head (r135036).  [ggo#36077, ggo#36137]
- Adds warning for undefined behavior on pointer overflow.
* Fri Apr 25 2008 rguenther@suse.de
- Update to gcc-4_3-branch head (r134659).  [ggo#35773, ggo#35907, ggo#35695,
  ggo#36008, ggo#36015, ggo#36017]
- Add patch to fix latent aliasing bug.
* Thu Apr 10 2008 rguenther@suse.de
- Update to gcc-4_3-branch head (r134138).  [ggo#35833, ggo#35900]
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Tue Apr  1 2008 rguenther@suse.de
- Update to gcc-4_3-branch head (r133790).
- Remove use of %%%%run_ldconfig.
- Add fix for K&R missed prototype warning.  [bnc#376194]
* Thu Mar 27 2008 schwab@suse.de
- Add fix for PR35695.
* Fri Mar 14 2008 matz@suse.de
- Hide some more gcov functions.
* Tue Mar 11 2008 rguenther@suse.de
- Add patch for PR35469.
- Fix two bugs in the patches for PR34043.
* Thu Mar  6 2008 rguenther@suse.de
- Update to GCC 4.3.0 release.
- Add patches for PR35472 and PR34989.
- Add patches for AMD requested feature.  [ggo#34043]
* Fri Feb 22 2008 rguenther@suse.de
- Deal with fixed wchar.h on old glibc systems.
* Mon Feb 18 2008 rguenther@suse.de
- Update to gcc-4_3-branch head (r132521).  [bnc#355496, bnc#354113]
* Sat Feb 16 2008 schwab@suse.de
- Make sure the icecream env contains all needed shared libs.
* Tue Feb 12 2008 rguenther@suse.de
- Update to SVN trunk head (r132345).
- Add patches to versionize info documentation and locales.
* Fri Feb  1 2008 rguenther@suse.de
- Fix libgcj_bc packaging.
- Add workaround for PR35056.  [bnc#358319]
* Mon Jan 28 2008 rguenther@suse.de
- Update to SVN trunk head (r131976).  [bnc#355254]
* Tue Jan 22 2008 rguenther@suse.de
- Update to SVN trunk head (r131724).  [#343712]
- Add patch for PR34829.
- Add -Wunprototyped-calls and enable it with -Wall.
* Wed Jan 16 2008 rguenther@suse.de
- Update to SVN trunk head (r131592).  [#337901, #354119]
* Wed Jan  2 2008 rguenther@suse.de
- Update to SVN trunk head (r131254).
- Drop no longer required patches.
- Add patch for PR33960.
* Mon Dec 10 2007 rguenther@suse.de
- Add patches for PR34391 and PR34302.
* Wed Dec  5 2007 rguenther@suse.de
- Add patch for PR34334.
* Thu Nov 29 2007 rguenther@suse.de
- Update to SVN trunk head (r130511).  [#340981]
- Add patch for PR33763.  [#344524]
- Add patch for PR34244.  [#342603]
- Add patch for PR34238.
* Fri Nov 23 2007 rguenther@suse.de
- Build gcc43-java from libgcj43.spec.
- Shuffle binaries back from gcc43-gij to gcc43-java retaining
  only classpath tools in gcc43-gij.
- Add libgcj43-jar package required by libgcj43-devel and only
  recommended by libgcj43.
- Fix icecream cross install directory.
* Thu Nov 22 2007 rguenther@suse.de
- Simplify biarch rpm-macros.
- Add patch for PR34176.  [#342236]
- Add another alias fix.
* Tue Nov 20 2007 rguenther@suse.de
- Update to SVN trunk head (r130276).
- Revert fix for PR25950.
- Add patch for PR34148.
* Tue Nov 13 2007 rguenther@suse.de
- Change directories used in GCC install to only contain major and
  minor version, not patchlevel.
* Fri Nov  9 2007 rguenther@suse.de
- Update to SVN trunk head (r130038).
- Enable spu and avr cross targets.
- Fix i386 and ppc64 icecream cross targets.
- Disable alpha and arm icecream cross targets.
- Fix icecream cross target search path issues.
- Add README.First-for.SuSE.packagers as extra source and update it.
- Depend on gcc43-ada.
* Thu Nov  8 2007 rguenther@suse.de
- Enable icecream backends.
* Mon Nov  5 2007 rguenther@suse.de
- Fix ia64 stack-protector patch.
- Add patch for PR32260.
* Tue Oct 30 2007 rguenther@suse.de
- Fix rpmlint override files.
* Mon Oct 29 2007 rguenther@suse.de
- Add patch for PR33871, linker errors with anonymous namespaces and
  typeinfo.
* Wed Oct 24 2007 rguenther@suse.de
- Add patch for PR33870, sqlite miscompile.
- Add patch for PR33868, memory usage regression on glibc testsuite.
* Thu Oct 18 2007 rguenther@suse.de
- Add back patch for PR27880.  Fixes missing _Unwind_GetIPInfo
  symbol in static libgcc on ia64.
- Add patch for PR33168, fixes ppc64 bootstrap failure.
- Add patch for PR33608, fixes Ada build on ia64.  Re-enable Ada for ia64.
- Work around PR33857, allow building Ada with old version alone.
* Tue Oct 16 2007 rguenther@suse.de
- Update to SVN trunk head (r129378).
* Mon Oct 15 2007 rguenther@suse.de
- Update to SVN trunk head (r129351).
* Fri Oct 12 2007 rguenther@suse.de
- Package modified eclipse frontent jar.
- Remove ecj-bootstrap BuildRequires.
* Thu Oct 11 2007 rguenther@suse.de
- Update to SVN trunk head (r129228).
* Tue Oct  9 2007 rguenther@suse.de
- Update to SVN trunk head (r129166).
- Add patch for PR33692.
* Mon Oct  8 2007 rguenther@suse.de
- Update to SVN trunk head (r129130).
* Tue Oct  2 2007 rguenther@suse.de
- Update to SVN trunk head (r128956).
- Obsoletes fixes PR33146, PR33552, PR30375, PR33560 and linker
  version detection.
* Mon Oct  1 2007 rguenther@suse.de
- Disable ada for ia64.
* Thu Sep 27 2007 rguenther@suse.de
- Add patch for PR33552, also fixes reload failure for i586 glibc.
* Wed Sep 26 2007 rguenther@suse.de
- Add patch for PR30375 and PR33560.
* Mon Sep 24 2007 rguenther@suse.de
- Fix binutils version detection.
* Fri Sep 21 2007 rguenther@suse.de
- Update to SVN trunk head (r128649).
- Add patch for PR33146.
* Mon Sep 17 2007 rguenther@suse.de
- Update to SVN trunk head (r128539).
- Drop patch for PR32756.
- Revert r127960.
* Thu Aug 30 2007 rguenther@suse.de
- Add patch for PR32756.
* Fri Aug 24 2007 rguenther@suse.de
- Update to SVN trunk head (r127773).
* Fri Aug 24 2007 rguenther@suse.de
- Allow disabling of C++ and ObjC.
- Add rpmlint exceptions for libraries.
* Mon Aug 20 2007 rguenther@suse.de
- Delete fix-included sound headers.
* Wed Jul 25 2007 rguenther@suse.de
- Update with specfile changes that went into the gcc42 package.
- Update to SVN trunk head (r126913).
* Wed May  9 2007 rguenther@suse.de
- Update to SVN trunk head (r124570).
- Add unzip BuildRequires for libjava.
- No longer package precompiled headers for libstdc++.
* Tue Mar 27 2007 rguenther@suse.de
- Update to SVN trunk head (r123255).
- Remove %%%%versionspecificlibs stuff.
* Thu Nov 16 2006 rguenther@suse.de
- Update to SVN 4.2 branch head.
- Remove patch for PR26898 again.
* Fri Oct 20 2006 rguenther@suse.de
- Update to SVN 4.2 branch head, fixes some remaining aliasing miscompiles.
- Fix libgcj.pc install.
- Update AMD-0201 patch.
* Tue Oct 17 2006 rguenther@suse.de
- Update to SVN head.
- Add AMD-0201.
- Add other minor improvements.
* Tue Sep 19 2006 rguenther@suse.de
- New gcc42-gij package.
- Adjust libgcj so version.
- Add proper Obsoletes to virtual Provides and gcc41 packages to
  make rpm install work.
- Kill @gcc_suffix@.
* Mon Sep 18 2006 rguenther@suse.de
- Update to SVN head.
* Mon Sep  4 2006 rguenther@suse.de
- Fix libgcj packaging.
- Run the testsuite from the libgcj package and package results
  in gcc42-testresults.
* Tue Aug 29 2006 rguenther@suse.de
- Update to SVN head.
- Remove patch for bogus warning which is fixed upstream already.
- Fix URL for bugreporting, use http://bugs.opensuse.org instead of
  http://www.suse.de/feedback.
- No longer package gccbug script which led to feedback@suse.de which no
  longer exists.
* Tue Aug 22 2006 rguenther@suse.de
- Forward port spec file changes from gcc41 package.
- libobjc changed .so version.
* Tue Aug 15 2006 schwab@suse.de
- Fix infinite loop (PR28672).
* Tue Aug 15 2006 rguenther@suse.de
- New gcc42 package.
